<?PHP
	if(!isRights('a')) {
		AlertError(getLang('alerts.not_access'));
	}
	
	try {
		$classAdminPages = new AdminPages;
		
		if(isset($_POST['editPage'])) {
			$classAdminPages->Update([
				'id' => $_POST['page_id'],
				'title' => $_POST['title'],
				'description' => $_POST['description'],
				'keywords' => $_POST['keywords'],
				'link' => $_POST['link'],
				'content' => $_POST['content'],
				'enable' => $_POST['enable']
			]);
			
			AlertError(getLang('alerts.data_update'));
		}
		
		if(isset($_POST['addPage'])) {
			$classAdminPages->Add([
				'title' => $_POST['title'],
				'description' => $_POST['description'],
				'keywords' => $_POST['keywords'],
				'link' => $_POST['link'],
				'content' => $_POST['content'],
				'enable' => $_POST['enable']
			]);
			
			AlertError(getLang('alerts.page_update'));
		}
		
		if(isset($_POST['deletePage'])) {
			$classAdminPages->onDelete($_POST['pageId']);
			AlertError(getLang('alerts.page_delete'));
		}
		
		AlertError(getLang('alerts.not_data'));
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}