<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}

	try {
		$transId = $_POST['trans_id'];
		$UsersTransactions = new UsersTransactions;

		$transData = $UsersTransactions->Get($transId);
		$jsonData = json_decode($transData->data, true);
		$Product = (object)Product()->Get($jsonData['product_id'])['product'];
		
		$refunds_id = Refunds()->Create(['transaction_id' => $transId, 'defendant_id' => $Product->author_id, 'price' => $transData->amount]);

		$RefundsMessages = new RefundsMessages;
		$RefundsMessages->Send($refunds_id, $_POST['reason']);
		Refunds()->BlockBalance($Product->author_id, $transId);

		CallBack()->Call('onCreateRefunds', [
			'refund_id' => $refunds_id,
			'reason' => $_POST['reason'],
			'trans_id' => $transId,
			'user_id' => $_SESSION['id'],
			'defendant_id' => $Product->author_id,
			'price' => $transData->amount,
			'product_id' => $jsonData['product_id']
		]);

		Result([
			'Id' => $refunds_id
		]);
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}