<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}
	
	try {
		$Refunds = new Refunds;
		$RefundsMessages = new RefundsMessages;

		if(!$Refunds->IsValid($_POST['refund_id'])) {
			AlertError(getLang('refunds.library.messages.errors.0'));
		}

		if(isset($_FILES['file']) && $_FILES['file']['error'] == UPLOAD_ERR_OK) {
			$files = $_FILES['file'];
		}
		else {
			$files = null;
		}

		$RefundsMessages->Send($_POST['refund_id'], $_POST['message'], $files);
		Result(['Id' => $_POST['refund_id']]);
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}