<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}
	
	if(!isRights('c')) {
		if(!isRole('2')) {
			AlertError(getLang('alerts.not_access'));
		}
	}
	
	switch($_POST['Actions']) {
		case 'onSuccess': {
			try {
				MarketVerify()->sendVerify($_POST['itemId']);
				AlertSuccess(getLang('alerts.product.confirm'));
			}
			catch(Exception $e) {
				AlertError($e->getMessage());
			}
			
			break;
		}
		
		case 'onDisable':
		case 'onRejection': {
			try {
				MarketVerify()->sendRejection($_POST['itemId'], $_POST['Reason']);
				AlertSuccess(getLang('alerts.product.rejection'));
			}
			catch(Exception $e) {
				AlertError($e->getMessage());
			}
			
			break;
		}
	}