<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}

	try {
		$UsersBalance = new UsersBalance;

		if(!$UsersBalance->isBalance($_SESSION['id'], $_POST['price'])) {
			AlertError(getLang('alerts.users.output.not_balance'));
		}

		$SellerOutput = new SellerOutput;

		if(!$SellerOutput->isMerchant($_POST['merchant'])) {
			AlertError(getLang('alerts.users.output.not_merchant'));
		}

		$requestId = $SellerOutput->Send($_SESSION['id'], $_POST['merchant'], $_POST['requisites'], $_POST['price']);
		$UsersBalance->minBalance($_SESSION['id'], $_POST['price']);

		AlertSuccess(getLang('alerts.users.output.application', [$requestId]));
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}