{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content Page-eUsers">
		<div class="card">
			<div class="card-header">
				<h5><span>{lang('admin.appearance.users.index.title')}</span></h5>

				<div class="search">
					<input type="text" id="search" class="form-control" placeholder="{lang('system.search')}">
					<button type="button"><i class="bi bi-search"></i></button>
				</div>
			</div>

			<div class="card-body">
				<div class="table-responsive">
					<table class="table">
						<thead>
							<tr>
								<td></td>
								<td>{lang('admin.appearance.users.table.name')}</td>
								<td>{lang('admin.appearance.users.table.role')}</td>
								<td>{lang('admin.appearance.users.table.email')}</td>
								<td></td>
							</tr>
						</thead>
	
						<tbody>
							{func AdminUsers:getAll()}
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>

<script>
	$(function() {
		$('#search').on('input', function() {
			var searchTerm = $(this).val().toLowerCase();
			
			$('table tbody tr').each(function() {
				var role = $(this).data('role') ? $(this).data('role').toString().toLowerCase() : '';
				var name = $(this).data('name') ? $(this).data('name').toString().toLowerCase() : '';
				var email = $(this).data('email') ? $(this).data('email').toString().toLowerCase() : '';

				if(role.includes(searchTerm) || name.includes(searchTerm) || email.includes(searchTerm)) {
					$(this).show();
				}
				else {
					$(this).hide();
				}
			});
		});
	});
</script>