{grab('/elements/header.tpl')}

<div class="Body Body-Account">
	<div class="Page-Account">
		<div class="Container">
			<div class="Main-Info">
				<div class="Avatar">
					<div class="Image">
						<img src="/uploads/images/avatars/{avatar}">

						{if($new_year)}
							<div class="new_year_decoration_2"></div>
						{/if}
					</div>
							
					{if(users()->isOnline('{user_id}'))}
						<span class="LastOnline Online">{lang('system.online')}</span>
					{else}
						<span class="LastOnline">{{userTimeAgo('{user_id}')}}</span>
					{/if}
				</div>
						
				<div class="Profile-Info">
					<span class="Name"><span>{name}</span> <div class="Badge">{profile_role}</div></span>
					<span class="Register">{{timeOnSite('{date_register}')}}</span>
							
					<div class="Special">
						<div class="Rating">
							<span>{rating}</span> {lang('account.home.labels.rating')}
						</div>
								
						<div class="Remarks">
							<span>{remarks}/{{conf()->max_remarks}}</span> {lang('account.home.labels.remarks')}
						</div>
					</div>
						
					<div class="Status">
						<span>{status}</span>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<div class="Page-Account-Menu">
		<div class="Container">
			<ul class="Navigation">
				<li><a href="/account/market?id={user_id}" class="Active" data-target="market">{lang('account.menu.market')}</a></li>
				<li><a href="/account/orders?id={user_id}" data-target="orders">{lang('account.menu.orders')}</a></li>
				<li><a href="/account/refund?id={user_id}" data-target="refund">{lang('account.menu.refund')}</a></li>
			</ul>
		</div>
	</div>
	
	<div class="Page-Account-Content">
		<div class="Container">
			<div id="Products">
				<div class="row">
					{func Product:getUserAllGUI('{user_id}')}
				</div>
			</div>

			<nav class="inPaginate">
				<ul class="pagination"></ul>
			</nav>

			<script>
				inPaginate('#Products > .row > div', 8);
			</script>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}