{grab('/elements/header.tpl')}

<div class="Body" data-target="Messages">
	<div class="Page-Messages">
		<div class="Container">
			<div class="Content">
				<div class="Dialogs HideMobile" id="output_dialogs">
					{func UsersMessages:getDialogs('{recipient_id}')}
				</div>
				
				<div class="Messages">
					<div class="Header">
						<div class="Start">
							{if('{isDeal}' == '1')}
								<button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#getDeals">{lang('account.messages.buttons.confirm')}</button>
							
								<div class="modal fade" id="getDeals" tabindex="-1">
									<div class="modal-dialog modal-dialog-centered">
										<div class="modal-content">
											<div class="modal-body">
												<div class="Header">
													<div class="Title"><span>{lang('account.messages.confirm.title')}</span></div>
													<div class="End">
														<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
													</div>
												</div>

												<div class="List">
													<div class="Items">
														{getDeals}
													</div>
												</div>

												<div class="Info">{lang('account.messages.confirm.message')}</div>
											</div>
										</div>
									</div>
								</div>
								
								<div class="modal fade" id="modalReviews" tabindex="-1">
									<div class="modal-dialog">
										<div class="modal-content">
											<div class="modal-header">
												<h5>{lang('reviews.modals.0')}</h5>
											</div>
								
											<div class="modal-body">
												<form data-action="product_review">
													<input type="hidden" name="product_id">
								
													<div class="rating mb-4">
														<input type="radio" id="star5" name="rating" value="5">
														<label for="star5"><i class="bi bi-star-fill"></i></label>
														
														<input type="radio" id="star4" name="rating" value="4">
														<label for="star4"><i class="bi bi-star-fill"></i></label>
														
														<input type="radio" id="star3" name="rating" value="3">
														<label for="star3"><i class="bi bi-star-fill"></i></label>
														
														<input type="radio" id="star2" name="rating" value="2">
														<label for="star2"><i class="bi bi-star-fill"></i></label>
														
														<input type="radio" id="star1" name="rating" value="1">
														<label for="star1"><i class="bi bi-star-fill"></i></label>
													</div>
								
													<label for="review_message">{lang('reviews.modals.1')}<span class="text-danger">*</span>:</label>
													<textarea name="message" id="review_message" rows="4" class="form-control" placeholder="{lang('system.placeholder.text')}" required></textarea>
													
													<button type="submit" class="btn btn-primary mt-2">{lang('reviews.modals.2')}</button>
												</form>
											</div>
										</div>
									</div>
								</div>
							{/if}
						</div>
						
						<div class="End">
							<div class="Profile">
								<div class="Name">
									<a href="/account/home?id={recipient_id}">{recipient_name}</a>
								</div>

								<div class="Image">
									<a href="/account/home?id={recipient_id}">
										<img src="/uploads/images/avatars/{recipient_avatar}">
									</a>
								</div>
							</div>
						</div>
					</div>

					<div class="Content">
						<div class="Items" id="Messages">
							{func UsersMessages:getMessages('{recipient_id}')}
							
							<script>
								$(function() {
									var messagesContainer = $('#Messages');
									messagesContainer.scrollTop(messagesContainer.prop('scrollHeight'));
								});
							</script>
						</div>
						
						<div class="Form">
							<form id="onMessengerSendImage"><input type="hidden" value="{recipient_id}" name="recipient_id" required> <input type="file" accept="image/*" name="image" required></form>
							
							<form data-action="onMessengerSend">
								<input type="hidden" value="{recipient_id}" name="recipient_id" required>
								<input type="hidden" value="{last_id}" name="last_id" required>
								<input type="text" name="message" class="form-control" minlength="1" maxlength="1024" placeholder="{lang('account.messages.buttons.send')}" autocomplete="off" required>
								
								<button type="button" class="onMessengerSendImage"><i class='bx bx-image-add'></i></button>
								<button type="submit"><i class="bx bx-send"></i></button>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}