{grab('/elements/header.tpl')}

<div class="Body Body-Account">
	<div class="Page-Account">
		<div class="Container">
			<div class="Main-Info">
				<div class="Avatar">
					<div class="Image">
						<img src="/uploads/images/avatars/{avatar}">

						{if($new_year)}
							<div class="new_year_decoration_2"></div>
						{/if}
					</div>
					
					{if(users()->isOnline('{user_id}'))}
						<span class="LastOnline Online">{lang('system.online')}</span>
					{else}
						<span class="LastOnline">{{userTimeAgo('{user_id}')}}</span>
					{/if}
				</div>
				
				<div class="Profile-Info">
					<span class="Name"><span>{name}</span> <div class="Badge">{profile_role}</div></span>
					<span class="Register">{{timeOnSite('{date_register}')}}</span>
					
					<div class="Special">
						<div class="Rating">
							<span>{rating}</span> {lang('account.home.labels.rating')}
						</div>
								
						<div class="Remarks">
							<span>{remarks}/{{conf()->max_remarks}}</span> {lang('account.home.labels.remarks')}
						</div>
					</div>
					
					<div class="Status">
						<span>{status}</span>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<div class="Page-Account-Menu">
		<div class="Container">
			<ul class="Navigation">
				<li><a href="/account/wallet" data-target="balance">{lang('account.menu.balance')}</a></li>
				<li><a href="/account/notifications" class="Active" data-target="notifications">{lang('account.menu.notifications')}</a></li>
				<li><a href="/account/market" data-target="market">{lang('account.menu.market')}</a></li>
				<li><a href="/account/orders" data-target="orders">{lang('account.menu.orders')}</a></li>
				<li><a href="/account/refund" data-target="refund">{lang('account.menu.refund')}</a></li>
				<li><a href="/account/settings" data-target="settings">{lang('account.menu.settings')}</a></li>
			</ul>
		</div>
	</div>
	
	<div class="Page-Account-Content">
		<div class="Container">
			<div class="Notifications">
				<div class="Items">
					{notifications}
				</div>

				<nav class="inPaginate">
					<ul class="pagination"></ul>
				</nav>
				
				<script>
					inPaginate('.Notifications > .Items > .Item', 10);
				</script>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}