{grab('/elements/header.tpl')}

<div class="Body Page-Help">
	<div class="Container">
		<div class="row">
			<div class="col-lg-3 ">
				{grab('/elements/menu.tpl')}
			</div>
			
			<div class="col-lg-9">
				<div class="Block">
					<ul class="Nav">
						<li><a href="/help" {if(empty($_GET['act']))}class="Active"{/if}>{lang('help.all.0')}</a></li>
						
						{if('{is_support}' == '1')}
							<li><a href="/help?act=all" {if(isset($_GET['act']) && $_GET['act'] == 'all')}class="Active"{/if}>{lang('help.all.1')}</a></li>
						{/if}
						
						<li><a href="/help?act=request" {if(isset($_GET['act']) && $_GET['act'] == 'request')}class="Active"{/if}>{lang('help.all.2')}</a></li>
					</ul>
					
					<div class="Content">
						{if(isset($_GET['act']) && $_GET['act'] == 'request')}
							<form data-action="onHelp">
								<label for="theme">{lang('help.theme')}<span class="text-danger">*</span>:</label>
								<select class="form-select mb-2" name="themeid" id="theme" autocomplete="off" required>
									{func Help:getThemes('{themeid}')}
								</select>
								
								<script>
									function changeTheme() {
										var id = $('#theme').val();
										$('.Page-Help [data-target]').hide(500);
										$('.Page-Help [data-target] > input').attr('required', false);
										
										switch(id) {
											case "2": {
												if(!$('.Page-Help [data-target="seller_link"]').is(':visible')) {
													$('.Page-Help [data-target="seller_link"]').show(500);
													$('#seller_link').attr('required', true);
												}
													
												break;
											}
											
											case "3": {
												if(!$('.Page-Help [data-target="transaction_id"]').is(':visible')) {
													$('.Page-Help [data-target="transaction_id"]').show(500);
													$('#transaction_id').attr('required', true);
												}
													
												break;
											}
										}
									}
									
									$('#theme').on('change', function() {
										changeTheme();
									});
									
									$(function() {
										changeTheme();
									});
								</script>
								
								<div class="mb-2" data-target="seller_link">
									<label for="seller_link">{lang('help.seller.label')}<span class="text-danger">*</span>:</label>
									<input type="text" class="form-control" name="seller_link" id="seller_link" autocomplete="off" placeholder="{lang('help.seller.placeholder')}">
								</div>
								
								<div class="mb-2" data-target="transaction_id">
									<label for="transaction_id">{lang('help.purchase')}<span class="text-danger">*</span>:</label>
									<select class="form-control" name="transaction_id" id="transaction_id" autocomplete="off">
										{func Help:getTransactions()}
									</select>
								</div>
								
								<textarea class="form-control" name="message" autocomplete="off" rows="4" minlength="4" maxlength="1024" placeholder="{lang('help.message.placeholder')}" required></textarea>
								<button type="submit" class="btn btn-primary btn-sm mt-3">{lang('help.button')}</button>
							</form>
						{else}
							<div class="Items">
								{func Help:getMyTickets()}
							</div>
						{/if}
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}