{grab('/elements/header.tpl')}

<div class="Body Page-Ticket">
	<div class="Container">
		<div class="row">
			<div class="col-lg-3">
				{if('{is_support}' == '1' && '{ticket_status_id}' != '1')}
					<button class="btn btn-danger w-100 mb-3" data-action="onCloseTicket" data-toggle="{ticket_id}">{lang('help.tickets.close')}</button>
				{/if}
				
				{grab('/elements/menu.tpl')}
			</div>
			
			<div class="col-lg-9">
				<div class="Block">
					<ul class="Header">
						<li><a href="/help">{lang('help.tickets.header.0')}</a></li>
						<li>{lang('help.tickets.header.1')}</li>
					</ul>
					
					<ul class="Info">
						<li>{ticket_name}</li>
						{func Help:getDataTheme('{ticket_id}')}
						<li>{ticket_status_text}</li>
					</ul>
					
					<div class="Messages">
						{func Help:getMessages('{ticket_id}')}
					</div>
					
					{if('{ticket_status_id}' != '1')}
						<form data-action="onTicket">
							<input type="hidden" name="ticket_id" value="{ticket_id}">
						
							<div class="input-group">
								<textarea name="message" class="form-control" rows="1" minlength="4" maxlength="1024" placeholder="{lang('help.tickets.send.placeholder')}" required></textarea>
								<button type="submit" class="btn btn-primary">{lang('help.tickets.button')}</button>
							</div>
						</form>
					{/if}
				</div>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}