{grab('/elements/header.tpl')}

<div class="Body">
	<div class="Container">
		<!--[ Main ]-->
		<div class="Page-Category">
			<div class="Cover">
				<div class="Content">
					<img class="Icon" src="/uploads/images/icons/{category_icon}">
					<ul class="Name">{category_name}</ul>
				</div>

				<img class="Cover" src="/uploads/images/cover/{category_cover}">
			</div>

			<div id="Subcategory">
				<div class="swiper">
					<div class="swiper-wrapper">
						{subcategories}
					</div>
				</div>
			</div>

			<div class="page_category">
				<div class="start">
					<div class="filter">
						<div class="title">
							<span>{lang('filters.labels.title')}</span>
							<button type="button" class="btn btn-light" id="filter_hidden"><i class="bi bi-x"></i></button>
						</div>

						<div class="content">
							<div class="form-input">
								<label for="filter_name">{lang('filters.labels.name')}</label>
								<input type="text" id="filter_name" data-filter="name" class="form-control" placeholder="{lang('filters.name')}">
							</div>
							
							<div class="form-input">
								<label for="filter_price_min">{lang('filters.labels.price')}</label>
	
								<div class="d-flex gap-2">
									<input type="number" id="filter_price_min" data-filter="price-min" class="form-control" min="0" placeholder="{lang('filters.price_min')}">
									<input type="number" id="filter_price_max" data-filter="price-max" class="form-control" min="0" placeholder="{lang('filters.price_max')}">
								</div>
	
							</div>
	
							<div class="form-input">
								<div class="form-check">
									<input type="checkbox" id="filter_online_only" data-filter="online-only" class="form-check-input">
									<label for="filter_online_only">{lang('filters.online_only')}</label>
								</div>
	
								<div class="form-check">
									<input type="checkbox" id="filter_discount_only" data-filter="discount-only" class="form-check-input">
									<label for="filter_discount_only">{lang('filters.discount_only')}</label>
								</div>
							</div>
		
							{filters}
						</div>
					</div>
				</div>

				<div class="end">
					<div id="Products">
						<div class="row">{products}</div>
						<div class="noData">{lang('labels.no_actuals')}</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}