<div id="step-4">
	<h5>{lang('elements.market.add.step_4.title')}</h5>
	
	<div class="info_category">
		<div class="info_category_image"><img src="/uploads/images/icons/{category_image}"></div>
		<div class="info_category_data">
			<div class="info_category_name">{category_name}</div>
			<div class="info_subcategory_name">{subcategory_name}</div>
		</div>
	</div>

	<div class="Items">
		<button type="button" class="Item" data-action="get_step_last">
			<div class="Icon">
				<i class="bi bi-send"></i>
			</div>

			<div class="Info">
				<div class="Name">{lang('elements.market.add.step_4.form.0')}</div>
				<div class="Desc">{lang('elements.market.add.step_4.form.1')}</div>
			</div>
		</button>

		{if('{data_auto}' == '1')}
			<button type="button" class="Item" data-action="get_step_auto">
				<div class="Icon">
					<i class="bi bi-robot"></i>
				</div>

				<div class="Info">
					<div class="Name">{lang('elements.market.add.step_4.form.2')}</div>
					<div class="Desc">{lang('elements.market.add.step_4.form.3')}</div>
				</div>
			</button>
		{/if}
	</div>

	<script>
		$('button[data-action]').off('click').on('click', function(e) {
			var action = $(this).data('action');
			
			switch(action) {
				case 'get_step_last': {
					SendPost('/api/v1/market/edit_product', {
						get_step_last: 1,
						product_id: {product_id}
					}, (Result) => {
						if(Result.Content) {
							$('#step-content').html(Result.Content);
							return;
						}

						ShowToasty(Result.Message, Result.Alert);
					});

					break;
				}

				{if('{data_auto}' == '1')}
				case 'get_step_auto': {
					var step_id = $(this).data('step_id');
					
					SendPost('/api/v1/market/edit_product', {
						get_step_auto: 1,
						product_id: {product_id}
					}, (Result) => {
						if(Result.Content) {
							$('#step-content').html(Result.Content);
							return;
						}

						ShowToasty(Result.Message, Result.Alert);
					});
	
					break;
				}
				{/if}
			}
		});
	</script>
</div>