<div class="Installing">
	<div class="Image">
		<img src="/assets/admin/img/install/loading.png">
	</div>
	
	<div class="Text">
		<span>Starting the installation...</span>
	</div>
</div>

<script>
	$(function() {
		SendPost('/', {onInstall: 1}, (Result) => {
			if(Result.Redirect) {
				location.href = Result.Redirect;
				return;
			}
			
			ShowToasty(Result.Message, Result.Alert);
			if(Result.Alert == 'Success') {
				setTimeout('location.href = "/";', 2000);
				return;
			}
		});
		
		let currentWordIndex = 0;
		const words = [
			'We import the database and look at your secret documents...',
			'Do you know what I saw here? Although... You don't want to know.',
			'God... What is this? Configurations?'
		];
		
		function changeWord() {
			const wordContainer = $('.Installing > .Text > span');
			wordContainer.addClass('fade-out');
			
			setTimeout(() => {
				currentWordIndex = (currentWordIndex + 1) % words.length;
				wordContainer.text(words[currentWordIndex]);
				wordContainer.removeClass('fade-out').addClass('fade-in');
			}, 1000);
		}
		
		setInterval(changeWord, 1000);
	});
</script>