<p><b>1. Definitions</b></p>
<p>1.1. Software: UnionCMS, including all components, files, and documentation provided with the software.</p>
<p>1.2. User: an individual or legal entity granted the right to use the UnionCMS software under this license agreement.</p>
<p>1.3. Licensor: the legal entity holding exclusive rights to the UnionCMS software.</p>

<p><b>2. Subject of the Agreement</b></p>
<p>2.1. The User is granted a non-exclusive right to use the UnionCMS software in accordance with the terms of this agreement.</p>

<p><b>3. Rights and Obligations</b></p>
<p>3.1. The User has the right to:</p>
<p>
	<ul>
		<li>install and use the UnionCMS software on their servers or virtual hosting platforms;</li>
		<li>modify the source code of the software for their own needs;</li>
		<li>create additional modules and extensions based on the UnionCMS software.</li>
	</ul>
</p>
<p>3.2. The User agrees to:</p>
<p>
	<ul>
		<li>not transfer the UnionCMS software to third parties without the written consent of the Licensor;</li>
		<li>not use the UnionCMS software for unlawful purposes or in ways that violate the rights of third parties.</li>
	</ul>
</p>
<p>3.3. The Licensor reserves the right to:</p>
<p>
	<ul>
		<li>deny service to the User without prior notice;</li>
		<li>amend the terms of this license agreement without notifying the User. Changes take effect upon publication on the Licensor's official website, groups, or Telegram channel.</li>
	</ul>
</p>
<p><b>4. Exclusive Rights</b></p>
<p>
	<ul>
		<li>4.1. All exclusive rights to the UnionCMS software belong to the Licensor.</li>
	</ul>
</p>
<p><b>5. Liability of the Parties</b></p>
<p>
	<ul>
		<li>5.1. The Licensor is not liable for any direct or indirect damages resulting from the use or inability to use the UnionCMS software.</li>
		<li>5.2. The User is responsible for complying with the terms of this license agreement.</li>
	</ul>
</p>
<p><b>6. Final Provisions</b></p>
<p>
	<ul>
		<li>6.1. This license agreement becomes effective upon the installation of the UnionCMS software and remains in force until terminated in accordance with the terms of the agreement.</li>
		<li>6.2. Any amendments and additions to this license agreement are valid only with the written consent of both parties.</li>
		<li>6.3. All disputes and disagreements arising in connection with the execution of this agreement shall be resolved in accordance with applicable law.</li>
	</ul>
</p>

<div class="Actions License">
	<div class="form-check">
		<input class="form-check-input" type="checkbox" id="licenseSuccess">
		<label class="form-check-label" for="licenseSuccess">
			I accept the terms of this license
		</label>
	</div>
	
	<div class="End">
		<a href="?step=1" class="btn btn-primary btn-sm disabled">Next</a>
	</div>
</div>
