<!DOCTYPE HTML>
<html lang="uk">
	<head>
		<title>Установник UnionCMS</title>
		
		<!--[ Meta ]-->
		<meta charset="UTF-8">
		<meta name="title" content="UnionCMS">
		<meta name="keywords" content="ринок, IT продукти, програмне забезпечення, хмарні рішення, безпека даних, інструменти для розробки, системи контролю версій, Автоматизація тестування, віртуальні машини, сховища даних, антивірусні програми, управління доступом, конфіденційність даних, офісні додатки, сервіси хмарних обчислень, Розробка програмного забезпечення, IT консалтинг, кращі ціни на IT товари, IT платформа">
		<meta name="description" content="Провідна торгова платформа, створена для професіоналів і ентузіастів в області інформаційних технологій. Ми надаємо широкий спектр продуктів і послуг, які допоможуть вам втілити Ваші проекти в життя і оптимізувати робочі процеси.">
		<meta name="author" content="OSIP Group">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		
		<!--[ Attributes ]-->
		<link rel="shortcut icon" href="/assets/admin/img/favicon.png" type="image/x-icon">
		
		<!--[ Load Primary Styles ]-->
		<link rel="stylesheet" href="/assets/admin/css/install/start.css?v={cache}">
		
		<!--[ Load Secondary Styles ]-->
		{styles}
		
		<!--[ Load Primary JavaScripts ]-->
		<script src="/assets/admin/js/plugins/jquery-3.7.1.min.js?v={cache}"></script>
		<script src="/assets/admin/js/plugins/bootstrap.bundle.min.js?v={cache}"></script>
		<script src="/assets/admin/js/plugins/swiper-bundle.min.js?v={cache}"></script>
		<script src="/system/plugins/jquery-toast/jquery.toast.min.js?v={cache}"></script>
		
		<!--[ Load System JavaScripts ]-->
		<script src="/system/functions.js?v={cache}"></script>
		<script src="/system/start.js?v={cache}"></script>
		
		<!--[ Load Appearance JavaScripts ]-->
		<script src="/assets/admin/js/install/ajax.js?v={cache}"></script>
	</head>
	
	<body>
		<div class="Main">
			<div class="Caption">
				<h4>UnionCMS</h4>
			</div>
			
			<div class="Block">
				<div class="Header">
					{if(empty($_GET['step']) || $_GET['step'] > 5 || 0 >= $_GET['step'])}
						<h5>Ліцензійна угода</h5>
					{else}
						{if($_GET['step'] == '5')}
							<h5>Фінал</h5>
						{else}
							<h5>Крок {{$_GET['step']}}</h5>
						{/if}
					{/if}
					
					<div class="End">
					Зборка: {version}
					</div>
				</div>
				
				<div class="Body">
					{if(isset($_GET['step']))}
						{if($_GET['step'] == '1')}
							{grab('/install/uk/step/database.tpl')}
						{/if}
						
						{if($_GET['step'] == '2')}
							{grab('/install/uk/step/configs.tpl')}
						{/if}

						{if($_GET['step'] == '3')}
							{grab('/install/uk/step/smtp.tpl')}
						{/if}
						
						{if($_GET['step'] == '4')}
							{grab('/install/uk/step/license_key.tpl')}
						{/if}
						
						{if($_GET['step'] == '5')}
							{grab('/install/uk/step/install_end.tpl')}
						{/if}
						
						{if($_GET['step'] > 5 || 0 >= $_GET['step'])}
							{grab('/install/uk/step/license.tpl')}
						{/if}
					{else}
						{grab('/install/uk/step/license.tpl')}
					{/if}
				</div>
			</div>
			
			<div class="Copyright">
				&copy; 2020-{currencyDate} <a href="https://osip.kz">OSIP Group</a>. Всі права збережені.
			</div>
		</div>
	</body>
</html>