<!DOCTYPE html>
<html lang="ru">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>{lang('recovery.blank.0')}</title>
	</head>
	<body style="font-family: Arial, sans-serif; line-height: 1.6; margin: 0; padding: 0; background-color: #f4f4f4;">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" style="max-width: 600px; margin: 20px auto; background-color: #ffffff; border-radius: 8px; box-shadow: 0 0 10px rgba(0,0,0,0.1);">
			<tr>
				<td style="padding: 40px 30px; text-align: center;">
					<h1 style="color: #333333; margin-bottom: 20px;">{lang('recovery.blank.1')}</h1>
					<p style="color: #666666; font-size: 16px; margin-bottom: 30px;">{lang('recovery.blank.2')}</p>
					<div style="background-color: #f0f0f0; padding: 15px; border-radius: 4px; font-size: 24px; font-weight: bold; letter-spacing: 5px; color: #333333;">
						<a href="{url}" style="text-decoration: none; color: #999999;">{lang('recovery.blank.3')}</a>
					</div>
					<p style="font-size: 12px; color: #959595;">{lang('recovery.blank.4', ['{url}'])}</p>
					<p style="color: #666666; font-size: 12px; margin-top: 30px;">{lang('recovery.blank.5')}</p>
				</td>
			</tr>
			<tr>
				<td style="background-color: #f0f0f0; padding: 20px; text-align: center; border-bottom-left-radius: 8px; border-bottom-right-radius: 8px;">
					<p style="color: #999999; font-size: 12px; margin: 0;">{lang('recovery.blank.6', ['{current_date}', '{site_name}'])}</p>
				</td>
			</tr>
		</table>
	</body>
</html>