<?PHP
	$_SERVER['SERVER_NAME'] = getenv('SERVER_NAME');
	$_SERVER['HTTP_HOST'] = getenv('HTTP_HOST');	
	$_SERVER['DOCUMENT_ROOT'] = getenv('DOCUMENT_ROOT');	

	require_once(__DIR__ . '/../../start.php');

	if($argc < 2) {
		$pathFile = __DIR__;
		error_log("Usage: php $pathFile/register.php <email>");
		return;
	}
	
	$email = $argv[1];
	
	$mail = PHPMailer();
	
	$result = $mail->checkSMTP(
		conf()->mailer->hostname,
		conf()->mailer->port,
		conf()->mailer->username,
		conf()->mailer->password
	);
	
	if(!$result) {
		return;
	}
	
	$mail->addAddress($email);
	
	$tpl = new Template('system');
	$body = $tpl->Execute($tpl->Get('mailer/welcome'));
	$mail->setContent(getLang('mail.welcome.title'), $body);
	$mail->Send();