<?PHP
	CallBack()->Add('onRejectionOutput', function($data) {
		/*
			Событие отказа вывода денежных средств.
			Принимаемые данные:
			*id - индекс заявки на вывод
			*user_id - индекс отправителя запроса на вывод
			*price - сумма вывода средств
			*merchant - агрегат вывода средств
			*requisites - реквизиты вывода
			*message - комментарий администратора
			*date - время выполнения в UNIX
		*/

		$message = getLang('output.noty.message.0', [
			$data['price'],
			conf()->currency->html,
			$data['requisites'],
			$data['merchant'],
			$data['message']
		]);

		Noty()->Send($data['user_id'], getLang('output.noty.title'), $message);
	});