<?PHP
	CallBack()->Add('onSuccessOutput', function($data) {
		/*
			Событие одобрения вывода денежных средств.
			Принимаемые данные:
			*id - индекс заявки на вывод
			*user_id - индекс отправителя запроса на вывод
			*price - сумма вывода средств
			*merchant - агрегат вывода средств
			*requisites - реквизиты вывода
			*date - время выполнения в UNIX
		*/

		$message = getLang('output.noty.message.1', [
			$data['price'],
			conf()->currency->html,
			$data['requisites'],
			$data['merchant']
		]);
		
		Noty()->Send($data['user_id'], getLang('output.noty.title'), $message);
	});