<?PHP
	if(empty($_SESSION['id'])) {
		Pages()->loadPage('errors/not_auth');
	}
	
	if(isset($_GET['id'])) {
		if(!users()->isValid($_GET['id'])) {
			Pages()->loadPage('errors/user_not_found');
		}
		
		$targetFile = ($_GET['id'] == $_SESSION['id']) ? 'account/messages_not_select' : 'account/messages';
	}
	else {
		$targetFile = 'account/messages_not_select';
	}
	
	if(isset($_GET['id'])) {
		$UsersMessages = new UsersMessages;
		$recipientUser = Users()->Get($_GET['id']);
		$UsersMessages->setReady($recipientUser->id);
		
		$SellerIncome = new SellerIncome;
		$isDeal = $SellerIncome->isDeal($recipientUser->id);

		if($isDeal) {
			$getDeals = $SellerIncome->getDeals($recipientUser->id);
		}
	}

	tpl()
	->Start('sample')
	->AddTitle(getLang('pages.account.messages.title'))
	->Content(tpl()->Get($targetFile))
	->Set([
		'{recipient_id}' => isset($recipientUser) ? $recipientUser->id : null,
		'{recipient_name}' => isset($recipientUser) ? getName($recipientUser->id) : getLang('system.errors.undefined'),
		'{recipient_avatar}' => isset($recipientUser) ? getAvatar($recipientUser->id) : 'no_image.jpg',
		'{last_id}' => isset($recipientUser) ? $UsersMessages->lastId($recipientUser->id) : null,
		'{isDeal}' => (isset($isDeal) && $isDeal) ? '1' : '0',
		'{getDeals}' => isset($getDeals) ? $getDeals : ''
	])
	->Show();