<?PHP
	if(empty($_SESSION['id'])) {
		Pages()->loadPage('errors/not_auth');
	}
	
	$dataUser = users()->Get($_SESSION['id']);
	$classUsersRole = new UsersRole;
	$dataRole = $classUsersRole->Get($dataUser->roleid);
	
	$isMy = isset($_SESSION['id']) ? ($_SESSION['id'] == $dataUser->id) : 0;
	
	$UsersBalance = new UsersBalance;

	tpl()
	->Start('sample')
	->AddTitle(getLang('pages.account.wallet.title'))
	->Content(tpl()->Get('account/wallet'))
	->Set([
		'{user_id}' => $dataUser->id,
		'{name}' => getName($dataUser->id),
		'{date_register}' => $dataUser->date_register,
		'{avatar}' => $dataUser->image,
		'{remarks}' => $dataUser->remarks,
		'{rating}' => Reviews()->getStars($dataUser->id),
		'{status}' => isset($dataUser->status) ? htmlspecialchars_decode($dataUser->status) : '',
		'{profile_role}' => isset($dataRole) ? $dataRole->name : getLang('system.errors.undefined'),
		'{my}' => $isMy,
		'{balance}' => $dataUser->balance,
		'{balance_frozen}' => $UsersBalance->getFrozen($dataUser->id)
	])
	->Show();