<?PHP
	if(!isRights('a')) {
		Pages()->pageNotFound();
	}
	
	if(isset($_GET['act'])) {
		switch($_GET['act']) {
			case 'add': {
				tpl()
				->AddTitle(getLang('admin.pages.pages.add.title'))
				->AddScripts('/system/plugins/tinymce/tinymce.min.js')
				->SetAppearance('admin')
				->Start('sample')
				->Content(tpl()->Get('pages/add'))
				->Show();
			
				break;
			}
		}
	}
	
	if(isset($_GET['id'])) {
		$classAdminPages = new AdminPages;
		$dataPage = $classAdminPages->Get($_GET['id']);
		
		if(isset($dataPage)) {
			tpl()
			->AddScripts('/system/plugins/tinymce/tinymce.min.js')
			->SetAppearance('admin')
			->Start('sample')
			->Content(tpl()->Get('pages/edit'))
			->Set([
				'{page_id}' => $dataPage->id,
				'{title}' => $dataPage->title,
				'{description}' => $dataPage->description,
				'{keywords}' => $dataPage->keywords,
				'{link}' => $dataPage->link,
				'{enable}' => $dataPage->enable,
				'{content}' => htmlspecialchars_decode($dataPage->content)
			])
			->Show();
		}
	}
	
	tpl()
	->AddTitle(getLang('admin.pages.pages.index.title'))
	->SetAppearance('admin')
	->Start('sample')
	->Content(tpl()->Get('pages/index'))
	->Show();