<?PHP
	if(!isRights('b')) {
		Pages()->pageNotFound();
	}
	
	if(isset($_GET['id'])) {
		if(users()->IsValid($_GET['id'])) {
			$AdminStats = new AdminStats;
			$SellerProduct = new SellerProduct;
			$UsersBalance = new UsersBalance;
			$SellerIncome = new SellerIncome;
			$SellerOutput = new SellerOutput;
			$user = users()->Get($_GET['id']);
			
			tpl()
			->AddTitle(getLang('admin.pages.users.edit', getName($user->id)))
			->SetAppearance('admin')
			->Start('sample')
			->Content(tpl()->Get('users/edit'))
			->Set([
				'{user_id}' => $user->id,
				'{user_name}' => getName($user->id),
				'{user_login}' => $user->login,
				'{user_email}' => $user->email,
				'{user_balance}' => $user->balance,
				'{user_rights}' => $user->rights,
				'{user_roleid}' => $user->roleid,
				'{user_remarks}' => $user->remarks,
				'{user_image}' => $user->image,
				'{user_register}' => getLang('getTimeAgo.date', [date('d.m.Y', $user->date_register), date('H:i', $user->date_register)]),
				'{user_online}' => getLang('getTimeAgo.date', [date('d.m.Y', $user->date_online), date('H:i', $user->date_online)]),
				'{user_is_online}' => users()->isOnline($user->id) ? 1 : 0,
				'{user_online_text}' => users()->isOnline($user->id) ? getLang('system.online') : getLang('system.not_online'),
				'{product_rows}' => $AdminStats->getUserProductRows($user->id),
				'{sell_rows}' => $SellerProduct->rowSells($user->id),
				'{order_rows}' => $AdminStats->getUserOrderRows($user->id),
				'{refund_rows}' => $AdminStats->getUserRefundRows($user->id),
				'{income_rows}' => $SellerIncome->rowPrice($user->id),
				'{output_rows}' => $SellerOutput->rowPrice($user->id),
				'{frozen_rows}' => $UsersBalance->getFrozen($user->id),
				'{languages}' => Languages()->getOption($user->language)
			])
			->Show();
		}
	}
	
	tpl()
	->AddTitle(getLang('admin.pages.users.title'))
	->SetAppearance('admin')
	->Start('sample')
	->Content(tpl()->Get('users/index'))
	->Show();