<?PHP
	if(empty($_SESSION['id'])) {
		Pages()->loadPage('errors/not_auth');
	}
	
	$classHelp = new Help;
	
	tpl()->AddTitle(getLang('pages.help.title'))->AddReplace([
		'{meta_name}' => formatMetaTags(getLang('pages.help.title')),
		'{meta_description}' => formatMetaTags(getLang('pages.help.desc')),
		'{meta_keywords}' => formatMetaTags(getLang('pages.help.keys'))
	]);

	if(isset($_GET['act'])) {
		switch($_GET['act']) {
			case 'all': {
				if(!$classHelp->isRights($_SESSION['id'])) {
					Pages()->loadPage('errors/not_access');
				}
				
				tpl()
				->Start('sample')
				->Content(tpl()->Get('help/alltickers'))
				->Show();
				
				break;
			}
		}
	}
	
	if(isset($_GET['id'])) {
		$dataTicket = $classHelp->Get($_GET['id']);
		
		if(empty($dataTicket) || !$classHelp->isAccess($dataTicket->id)) {
			Pages()->loadPage('errors/not_access');
		}
		
		tpl()
		->Start('sample')
		->Content(tpl()->Get('help/ticket'))
		->Set([
			'{is_support}' => $classHelp->isRights($_SESSION['id']),
			'{ticket_id}' => $_GET['id'],
			'{theme_id}' => $dataTicket->themeid,
			'{ticket_name}' => $classHelp->getTheme($dataTicket->themeid)['name'],
			'{ticket_status_id}' => $dataTicket->statusid,
			'{ticket_status_text}' => $classHelp->getStatus($dataTicket->statusid)['name']
		])
		->Show();
	}
	
	tpl()
	->Start('sample')
	->Content(tpl()->Get('help/index'))
	->Set(['{is_support}' => $classHelp->isRights($_SESSION['id']), '{themeid}' => isset($_GET['themeid']) ? $_GET['themeid'] : null])
	->Show();