<?PHP
	$Refunds = new Refunds;
	$dataRefunds = $Refunds->Get($params[0]);

	if(is_null($dataRefunds)) {
		Pages()->pageNotFound();
	}

	$nameDefendant = getName($dataRefunds->defendant_id);
	$RefundsMessages = new RefundsMessages;

	tpl()
	->AddTitle(getLang('pages.refunds.home.title', $dataRefunds->id))
	->Start('sample')
	->Set([
		'{meta_name}' => getLang('pages.refunds.home.title', $dataRefunds->id),
		'{meta_description}' => getLang('pages.refunds.home.meta.desc', [$dataRefunds->id, $nameDefendant]),
		'{meta_keywords}' => getLang('pages.refunds.home.meta.keys', [$nameDefendant, $dataRefunds->id, $nameDefendant])
	])
	->Content(tpl()->Get('refunds/home'))
	->Set([
		'{refund_id}' => $dataRefunds->id,
		'{date}' => uDate($dataRefunds->date),
		'{plaintiff_name}' => getName($dataRefunds->user_id),
		'{defendant_name}' => $nameDefendant,
		'{price}' => $dataRefunds->price,
		'{decision}' => $Refunds->status[$dataRefunds->status]['label'],
		'{status_id}' => $dataRefunds->status,
		'{messages}' => $RefundsMessages->getList($dataRefunds->id)
	])
	->Show();