<?PHP
	$allowed_languages = ['ru', 'en', 'ua', 'de'];
	$default_language = 'ru';
	
	if(isset($_GET['lang'])) {
		$_SESSION['lang'] = $_GET['lang'];
		$lang_key = $_SESSION['lang'];
	}
	elseif(isset($_SESSION['lang'])) {
		if(in_array($_SESSION['lang'], $allowed_languages)) {
			$lang_key = $_SESSION['lang'];
		}
		else {
			$lang_key = $default_language;
		}
	}
	else {
		$lang_key = $default_language;
	}
	
	$path_language = __DIR__ . '/languages/' . $lang_key . '.php';

	if(file_exists($path_language)) {
		$lang = include($path_language);
	}
	else {
		$lang = include(__DIR__ . '/languages/' . $default_language . '.php');
	}