<?PHP
    class SellerBalance {
        /* Получаем доступный к выводу баланс */
        public function getAvailable($userid) {
            $dataUser = $this->getDataUser($userid);

            if(empty($dataUser)) {
                return 0;
            }

            return $dataUser->balance;
        }

        /* Получаем замороженный баланс */
        public function getFrozen($userid) {
            $dataUser = $this->getDataUser($userid);

            if(empty($dataUser)) {
                return 0;
            }

            return $dataUser->balance_frozen;
        }

        /* Получаем выведенный баланс */
        public function getOutput($userid) {
            $dataUser = $this->getDataUser($userid);

            if(empty($dataUser)) {
                return 0;
            }

            return $dataUser->balance_output;
        }
        
        /* Получаем данные пользователя */
        public function getDataUser($userid) {
            try {
                $dataUser = users()->Get($userid);
                
                if(empty($dataUser)) {
                    return null;
                }

                return $dataUser;
            }
            catch(Exception $e) {
                return null;
            }
        }
    }