<?php
return [
    'local' => [
        'enable' => true,
        'name' => 'С баланса сайта',
        'is_auth' => true,
        'is_view' => true,
    ],
    'ym' => [
        'enable' => false,
        'name' => 'ЮMoney',
        'desc' => 'Оплачивайте картами МИР',
        'wallet_id' => '',
        'private_key' => '',
        'min' => 50,
    ],
    'fk' => [
        'enable' => false,
        'name' => 'Freekassa',
        'desc' => 'Оплачивайте через криптовалюту, QIWI, СБП и картами МИР',
        'merchant_id' => '',
        'public_key' => '',
        'private_key' => '',
        'min' => 100,
    ],
    'merchant001' => [
        'enable' => false,
        'name' => 'Merchant001',
        'desc' => 'Оплачивайте через сбербанк, криптовалюту',
        'apiKey' => '',
        'currency' => 'RUB',
        'min' => 100,
        'provider' => [
            'type' => 'RF_GATE [RUB/USDT] CARD',
            'method' => 'sber_rf',
        ],
    ],
    'nicepay' => [
        'enable' => false,
        'name' => 'Nicepay',
        'desc' => 'Оплачивайте криптовалютой, СБП и другими картами',
        'merchant_id' => '',
        'secret' => '',
        'currency' => 'RUB',
        'min' => 100,
    ],
    'linepay' => [
        'enable' => false,
        'name' => 'LinePay',
        'desc' => 'Оплачивайте зарубежными и картами СНГ',
        'merchant_id' => '',
        'secret_1' => '',
        'secret_2' => '',
        'currency' => 'RUB',
        'min' => 100,
    ],
    'skinify' => [
        'enable' => false,
        'name' => 'Skinify',
        'desc' => 'Оплачивайте скинами Steam',
        'token' => '',
        'currency' => 'rub',
        'min' => 100,
    ],
    'payeer' => [
        'enable' => false,
        'name' => 'Payeer',
        'desc' => 'Оплачивайте криптовалютой',
        'shop_id' => '',
        'secret_key' => '',
        'currency' => 'RUB',
        'min' => 100,
    ],
    'nowpayments' => [
        'enable' => false,
        'name' => 'NowPayments',
        'desc' => 'Оплачивайте всеми видами криптовалюты',
        'apiKey' => '',
        'publicKey' => '',
        'currency' => 'RUB',
        'min' => 1000,
    ],
    'cryptomus' => [
        'enable' => false,
        'name' => 'Cryptomus',
        'desc' => 'Оплачивайте всеми видами криптовалюты',
        'merchant_id' => '',
        'apiKey' => '',
        'currency' => 'RUB',
        'convert' => 'USDT',
        'network' => 'TRON',
        'min' => 150,
    ],
];
