$(function() {
	/* Регаем формы */
	$('form[data-install]').submit(function(Event) {
		Event.preventDefault();
		
		switch($(this).data('install')) {
			/* Проверяем подключение базы данных */
			case 'onDatabase': {
				$('[data-install="onDatabase"] [type="submit"]').prop('disabled', true);
				
				SendPost('/', {
					'onDatabase': 1, this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '?step=2';
					}
					else {
						$('[data-install="onDatabase"] [type="submit"]').prop('disabled', false);
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Сохраняем данные об конфигурациях */
			case 'onConfigs': {
				SendPost('/', {
					'onConfigs': 1, this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '?step=3';
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}

			/* Сохраняем данные об почтовом сервере */
			case 'onSmtp': {
				SendPost('/', {
					'onSmtp': 1, this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '?step=4';
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Переходим к установке */
			case 'onLicense': {
				SendPost('/', {
					'onLicense': 1, this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '?step=5';
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
		}
	});
	
	/* Лицензионное соглашение */
	if($('#licenseSuccess').length) {
		$('#licenseSuccess').on('change', function() {
			if($(this).prop('checked')) {
				$('.Actions.License > .End > a').removeClass('disabled');
			}
			else {
				$('.Actions.License > .End > a').addClass('disabled');
			}
		});
	}
});