$(function() {
	/* Регаем события нажатия кнопки */
	$('button[data-staff]').on('click', function() {
		switch($(this).data('staff')) {
			/* Отклоняем товар */
			case 'onRejection': {
				var reason = prompt('Причина отказа');
				var id = $(this).data('id');

				if(reason) {
					SendPost('/api/v1/staff/market', {Actions: $(this).data('staff'), itemId: id, Reason: reason}, (Result) => {
						if(Result.Alert == 'Success') {
							location.href = '/market/staff/verify';
						}
	
						ShowToasty(Result.Message, Result.Alert);
					});
				}

				break;
			}

			/* Подтверждаем товар */
			case 'onSuccess': {
				var id = $(this).data('id');

				SendPost('/api/v1/staff/market', {Actions: $(this).data('staff'), itemId: id}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '/market/staff/verify';
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			/* Отключаем товар */
			case 'onDisable': {
				var reason = prompt('Причина отключения');
				var id = $(this).data('id');

				if(reason) {
					SendPost('/api/v1/staff/market', {Actions: $(this).data('staff'), itemId: id, Reason: reason}, (Result) => {
						if(Result.Alert == 'Success') {
							location.reload();
						}
	
						ShowToasty(Result.Message, Result.Alert);
					});
				}

				break;
			}
		}
	});
	
	/* Регаем события отправки формы */
	$('form[data-staff]').submit(function(Event) {
		Event.preventDefault();
	});
});