<?PHP
	if(!isRights('a')) {
		AlertError(getLang('alerts.not_access'));
	}
	
	try {
		$conf = conf();

		require_once($_SERVER['DOCUMENT_ROOT'] . '/../application/system/library/system/PHPMailer/src/Exception.php');
		require_once($_SERVER['DOCUMENT_ROOT'] . '/../application/system/library/system/PHPMailer/src/PHPMailer.php');
		require_once($_SERVER['DOCUMENT_ROOT'] . '/../application/system/library/system/PHPMailer/src/SMTP.php');

		set_time_limit(30);

		$mail = new PHPMailer\PHPMailer\PHPMailer();
		$mail->SMTPOptions = array(
			'ssl' => array(
				'verify_peer' => false,
				'verify_peer_name' => false,
				'allow_self_signed' => true
			)
		);

		$mail->isSMTP();
		$mail->Host = $_POST['hostname'];
		$mail->Hostname = $_POST['hostname'];
		$mail->Port = $_POST['port'];
		$mail->SMTPSecure = PHPMailer\PHPMailer\PHPMailer::ENCRYPTION_SMTPS;
		$mail->SMTPAuth = true;
		$mail->Username = $_POST['username'];
		$mail->Password = $_POST['password'];

		if($mail->smtpConnect()) {
			$mail->smtpClose();

			removeValuesFromArray($_POST, ['onChangeMailer', 'phpaction', 'csrf_token']);
			$arr['mailer'] = $_POST;
			$arr['mailer']['host'] = $_POST['hostname'];
			$arr['mailer']['enabled'] = true;
			
			$classAdminConfigs = new AdminConfigs;
			$classAdminConfigs->Edit($conf, $arr);

			$oldPath = $_SERVER['DOCUMENT_ROOT'] . '/../configuration/system.json';
			$newPath = $_SERVER['DOCUMENT_ROOT'] . '/../application/backups/configuration/system_' . date('Y-m-d') . '.json';
		
			if(copy($oldPath, $newPath)) {
				file_put_contents($oldPath, json_encode($conf));
			}

			AlertSuccess(getLang('alerts.update_system.success'));
		}
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}