<?PHP
	if(!isRights('a')) {
		AlertError(getLang('alerts.not_access'));
	}
	
	try {
		$conf = conf();
		
		removeValuesFromArray($_POST, ['phpaction', 'csrf_token']);

		$classAdminConfigs = new AdminConfigs;
		$classAdminConfigs->Edit($conf, $_POST);
		
		$oldPath = $_SERVER['DOCUMENT_ROOT'] . '/../configuration/system.json';
		$newPath = $_SERVER['DOCUMENT_ROOT'] . '/../application/backups/configuration/system_' . date('Y-m-d') . '.json';
		
		if(copy($oldPath, $newPath)) {
			file_put_contents($oldPath, json_encode($conf));
		}
		
		AlertSuccess(getLang('alerts.conf_save'));
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}