<?PHP
	if(!isRights('a')) {
		AlertError(getLang('alerts.not_access'));
	}

	try {
		/* Получаем типы форм */
		if(isset($_POST['getForms'])) {
			tpl()->SetAppearance('admin');

			switch($_POST['type']) {
				case 'text': {
					Result(['Content' => tpl()->Execute(tpl()->Get('elements/forms/text'))]);
					break;
				}

				case 'number': {
					Result(['Content' => tpl()->Execute(tpl()->Get('elements/forms/number'))]);
					break;
				}

				case 'select': {
					Result(['Content' => tpl()->Execute(tpl()->Get('elements/forms/select'))]);
					break;
				}
			}
		}

		/* Добавление формы */
		if(isset($_POST['onSendFormAdd'])) {
			removeValuesFromArray($_POST, ['onSendFormAdd', 'phpaction', 'csrf_token']);

			$AdminSubcategoryData = new AdminSubcategoryData;
			$AdminSubcategoryData->Add($_POST);

			AlertSuccess(getLang('alerts.subcategory.form_add'));
		}

		/* Изменение формы */
		if(isset($_POST['onSendFormEdit'])) {
			removeValuesFromArray($_POST, ['onSendFormAdd', 'phpaction', 'csrf_token']);

			$AdminSubcategoryData = new AdminSubcategoryData;
			$AdminSubcategoryData->Edit($_POST);

			AlertSuccess(getLang('alerts.subcategory.form_edit'));
		}

		/* Удаление формы */
		if(isset($_POST['onDeleteSubData'])) {
			$AdminSubcategoryData = new AdminSubcategoryData;
			$AdminSubcategoryData->Delete($_POST);

			AlertSuccess(getLang('alerts.subcategory.form_delete'));
		}
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}