<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}
	
	try {
		$classHelp = new Help;
		
		if(!$classHelp->isTheme($_POST['themeid'])) {
			AlertError(getLang('alerts.help.not_exists'));
		}
		
		switch($_POST['themeid']) {
			case 2: {
				$_POST['data'] = $_POST['seller_link'];
				break;
			}
			
			case 3: {
				$_POST['data'] = $_POST['transaction_id'];
				break;
			}
			
			default: {
				$_POST['data'] = null;
			}
		}
		
		removeValuesFromArray($_POST, ['phpaction', 'csrf_token', 'transaction_id', 'seller_link']);
		$classHelp->Create($_POST);
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}