<?PHP
	try {
		// Не помню, вроде загрузка товаров
		if(isset($_POST['onLoadProduct'])) {
			$nextId = $_POST['offset'] + 1;
			
			Result([
				'Alert' => 'Success',
				'Content' => Product()->getAllGUI($_POST['offset']),
				'Offset' => $nextId,
				'IsNext' => Product()->isNext($nextId)
			]);
		}

		// Добавляем отзыв о товаре
		if(isset($_POST['add_review'])) {
			$product_id = (int)$_POST['product_id'];

			if(empty($product_id)) {
				AlertError(getLang('reviews.ajax.0'));
			}

			$message = strip_tags($_POST['message']);
			$message = htmlspecialchars_decode($message);

			if(empty($message)) {
				AlertError(getLang('reviews.ajax.0'));
			}

			$stars = (int)$_POST['rating'];

			if($stars < 0 || $stars > 5) {
				AlertError(getLang('reviews.ajax.1'));
			}

			if(!Reviews()->hasUserReviewedProduct($_SESSION['id'], $product_id)) {
				AlertWarning(getLang('reviews.ajax.2'));
			}
			
			CallBack()->Call('onProductAddReviews', [
				'user_id' => $_SESSION['id'],
				'product_id' => $product_id,
				'stars' => $stars,
				'message' => $message
			]);

			Reviews()->addProduct($product_id, $stars, $message);
			AlertSuccess(getLang('reviews.ajax.3'));
		}
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}