<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}

	try {
		if(Reviews()->isProduct($_POST['product_id'])) {
			AlertError(getLang('reviews.response.0'));
		}

		Reviews()->addProduct($_POST['product_id'], $_POST['start'], isset($_POST['message']) ? $_POST['message'] : null);
		AlertSuccess(getLang('reviews.response.1'));
	}
	catch(Exception $e) {
		error_log($e->getMessage());
		AlertError($e->getMessage());
	}