<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}

	try {
		/* Загружаем новый аватар */
		$fileName = uploadImage($_FILES['image'], 'uploads/images/avatars/');

		/* Удаляем старый аватар */
		$dataUser = users()->Get($_SESSION['id']);

		if($dataUser->image != 'no_image.jpg') {
			$path = $_SERVER['DOCUMENT_ROOT'] . '/uploads/images/avatars/' . $dataUser->image;

			if(file_exists($path)) {
				unlink($path);
			}
		}

		/* Изменяем аватар и уведомляем JS скрипт */
		users()->onUpdateAvatar($_SESSION['id'], $fileName);
		AlertSuccess(getLang('alerts.users.avatar.edit'));
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}