{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content">
		<div class="card">
			<div class="card-header">
				<h5><span>{lang('admin.appearance.bots.index.title')}</span></h5>
			</div>
			
			<div class="card-body">
				<div class="row">
					<div class="col-lg-6">
						<h5>{lang('admin.appearance.bots.index.data.0')}</h5>
						<form data-admin="editTelegramBot">
							<input type="hidden" name="methodAction" value="telegram">
							
							<div class="mb-2">
								<label for="enableTelegram">{lang('admin.appearance.bots.index.data.1')}<span class="text-danger">*</span></label>
								<select class="form-select" id="enableTelegram" name="enable">
									<option value="0" {if('{enableTelegram}' == '0')}selected{/if}>{lang('labels.disabled')}</option>
									<option value="1" {if('{enableTelegram}' == '1')}selected{/if}>{lang('labels.enabled')}</option>
								</select>
							</div>
							
							<div class="mb-2">
								<label for="apiTokenTelegram">{lang('admin.appearance.bots.index.apiToken')}<span class="text-danger">*</span></label>
								<input type="text" class="form-control" id="apiTokenTelegram" name="apiToken" value="{apiTokenTelegram}" autocomplete="off" required>
							</div>
							
							<div class="mb-3">
								<label for="secretKeyTelegram">{lang('admin.appearance.bots.index.secretKey')}<span class="text-danger">*</span></label>
								<input type="text" class="form-control" id="secretKeyTelegram" name="secretKey" value="{secretKeyTelegram}" autocomplete="off" required>
							</div>
							
							<div>
								<button type="button" data-action="onTelegramBotWebhook" class="btn btn-primary">{lang('admin.appearance.bots.index.button')}</button>
								<input type="submit" class="btn btn-primary" value="{lang('system.save')}">
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>