<div class="Item" data-toggle="{item_id}" data-position="{item_position}">
	<div class="Category">
		<div class="Icon"><img src="/uploads/images/icons/{item_icon}"></div>
		<div class="Name"><span>{item_name}</span></div>
		<div class="Actions">
			<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalAddSub_{item_id}"><i class="bi bi-plus-lg"></i></button>
			<a href="?act=edit&id={item_id}" class="btn btn-dark">
				<i class="bi bi-pencil-square"></i>
			</a>
			<button type="button" class="btn btn-danger" data-action="removeCategory" data-toggle="{item_id}"><i class="bi bi-trash"></i></button>
			<button type="button" class="btn btn-light" data-action="upCategory"><i class="bi bi-chevron-up"></i></button>
			<button type="button" class="btn btn-light" data-action="downCategory"><i class="bi bi-chevron-down"></i></button>
		</div>
	</div>
	
	<div class="Subcategory">
		{func AdminCategory:getSubcategories('{item_id}')}
	</div>
	
	<div class="modal fade" id="modalAddSub_{item_id}" tabindex="-1" aria-labelledby="modalAddSubLabel_{item_id}" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="modalAddSubLabel_{item_id}">{lang('admin.appearance.category.modal.0')}</h1>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				
				<div class="modal-body">
					<form data-admin="onAddSubcategory">
						<input type="hidden" name="category_id" value="{item_id}">
						
						<div class="mb-3">
							<label for="name">{lang('admin.appearance.category.modal.1')}<span class="text-danger">*</span>:</label>
							<input type="text" class="form-control" name="name" id="name" placeholder="{lang('admin.labels.placeholder.text')}" autocomplete="off" required>
						</div>
						
						<button type="submit" class="btn btn-primary btn-sm d-flex ms-auto">{lang('system.add')}</button>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>