{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content Page-eMerchants">
		<div class="card">
			<div class="card-header">
				<h5>
					<span>{lang('admin.appearance.merchants.title')}</span>
				</h5>
			</div>
		</div>

		<div class="row">
			<div class="col-lg-6 mb-4">
				<!-- NowPayments -->
				<div class="card mb-4">
					<div class="card-header">
						<h5>NowPayments</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/nowpayments">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="nowpayments">

									<div class="mb-2">
										<label for="nowpayments_name">{lang('admin.appearance.merchants.list.nowpayments.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="nowpayments_name" autocomplete="off" value="{{Merchants()['nowpayments']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="nowpayments_desc">{lang('admin.appearance.merchants.list.nowpayments.6')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="nowpayments_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['nowpayments']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="nowpayments_api_key">{lang('admin.appearance.merchants.list.nowpayments.1')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="apiKey" id="nowpayments_api_key" autocomplete="off" value="{{Merchants()['nowpayments']['apiKey']}}" required>
									</div>
									
									<div class="mb-2">
										<label for="nowpayments_public_key">{lang('admin.appearance.merchants.list.nowpayments.2')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="publicKey" id="nowpayments_public_key" autocomplete="off" value="{{Merchants()['nowpayments']['publicKey']}}" required>
									</div>

									<div class="mb-2">
										<label for="nowpayments_currency">{lang('admin.appearance.merchants.list.nowpayments.3')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="currency" id="nowpayments_currency" autocomplete="off" value="{{Merchants()['nowpayments']['currency']}}" required>
									</div>

									<div class="mb-2">
										<label for="nowpayments_min">{lang('admin.appearance.merchants.list.nowpayments.4')}<span class="text-danger">*</span>:</label>
										<input type="number" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" min="1" class="form-control" name="min" id="nowpayments_min" autocomplete="off" value="{{Merchants()['nowpayments']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="nowpayments_enable">{lang('admin.appearance.merchants.list.nowpayments.5')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="nowpayments_enable">
											<option value="0" {if(!Merchants()['nowpayments']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['nowpayments']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>

				<!-- LinePay -->
				<div class="card mb-4">
					<div class="card-header">
						<h5>LinePay</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/linepay">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="linepay">

									<div class="mb-2">
										<label for="linepay_name">{lang('admin.appearance.merchants.list.linepay.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="linepay_name" autocomplete="off" value="{{Merchants()['linepay']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="linepay_desc">{lang('admin.appearance.merchants.list.linepay.6')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="linepay_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['linepay']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="linepay_merchant_id">{lang('admin.appearance.merchants.list.linepay.1')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="merchant_id" id="linepay_merchant_id" autocomplete="off" value="{{Merchants()['linepay']['merchant_id']}}" required>
									</div>

									<div class="mb-2">
										<label for="linepay_secret_1">{lang('admin.appearance.merchants.list.linepay.2')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="secret_1" id="linepay_secret_1" autocomplete="off" value="{{Merchants()['linepay']['secret_1']}}" required>
									</div>

									<div class="mb-2">
										<label for="linepay_secret_2">{lang('admin.appearance.merchants.list.linepay.3')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="secret_2" id="linepay_secret_2" autocomplete="off" value="{{Merchants()['linepay']['secret_2']}}" required>
									</div>

									<div class="mb-2">
										<label for="linepay_min">{lang('admin.appearance.merchants.list.linepay.4')}<span class="text-danger">*</span>:</label>
										<input type="number" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" min="1" class="form-control" name="min" id="linepay_min" autocomplete="off" value="{{Merchants()['linepay']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="linepay_enable">{lang('admin.appearance.merchants.list.linepay.5')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="linepay_enable">
											<option value="0" {if(!Merchants()['linepay']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['linepay']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>

				<!-- YooMoney (scam) -->
				<div class="card mb-4">
					<div class="card-header">
						<h5>ЮMoney</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/yumoney">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="ym">

									<div class="mb-2">
										<label for="ym_name">{lang('admin.appearance.merchants.list.yoomoney.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="ym_name" autocomplete="off" value="{{Merchants()['ym']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="yoomoney_desc">{lang('admin.appearance.merchants.list.yoomoney.5')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="yoomoney_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['ym']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="ym_wallet_id">{lang('admin.appearance.merchants.list.yoomoney.1')}<span class="text-danger">*</span>:</label>
										<input type="text" class="form-control" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" name="wallet_id" id="ym_wallet_id" autocomplete="off" value="{{Merchants()['ym']['wallet_id']}}" required>
									</div>

									<div class="mb-2">
										<label for="ym_private_key">{lang('admin.appearance.merchants.list.yoomoney.2')}<span class="text-danger">*</span>:</label>
										<input type="text" class="form-control" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" name="private_key" id="ym_private_key" autocomplete="off" value="{{Merchants()['ym']['private_key']}}" required>
									</div>

									<div class="mb-2">
										<label for="ym_min">{lang('admin.appearance.merchants.list.yoomoney.3')}<span class="text-danger">*</span>:</label>
										<input type="number" min="1" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" class="form-control" name="min" id="ym_min" autocomplete="off" value="{{Merchants()['ym']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="ym_enable">{lang('admin.appearance.merchants.list.yoomoney.4')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="ym_enable">
											<option value="0" {if(!Merchants()['ym']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['ym']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>

				<!-- Merchants001 -->
				<div class="card mb-4">
					<div class="card-header">
						<h5>Merchant001</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/merchant001">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="merchant001">

									<div class="mb-2">
										<label for="m001_name">{lang('admin.appearance.merchants.list.merchant001.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="m001_name" autocomplete="off" value="{{Merchants()['merchant001']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="merchant001_desc">{lang('admin.appearance.merchants.list.merchant001.5')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="merchant001_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['merchant001']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="m001_apiKey">{lang('admin.appearance.merchants.list.merchant001.1')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="apiKey" id="m001_apiKey" autocomplete="off" value="{{Merchants()['merchant001']['apiKey']}}" required>
									</div>

									<div class="mb-2">
										<label for="m001_currency">{lang('admin.appearance.merchants.list.merchant001.2')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="currency" id="m001_currency" autocomplete="off" value="{{Merchants()['merchant001']['currency']}}" required>
									</div>

									<div class="mb-2">
										<label for="m001_min">{lang('admin.appearance.merchants.list.merchant001.3')}<span class="text-danger">*</span>:</label>
										<input type="number" min="1" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" class="form-control" name="min" id="m001_min" autocomplete="off" value="{{Merchants()['merchant001']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="m001_enable">{lang('admin.appearance.merchants.list.merchant001.4')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="m001_enable">
											<option value="0" {if(!Merchants()['merchant001']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['merchant001']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>


				<!-- Nicepay.io -->
				<div class="card">
					<div class="card-header">
						<h5>Nicepay.io</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/nicepay.io">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="nicepay">

									<div class="mb-2">
										<label for="np_name">{lang('admin.appearance.merchants.list.nicepay.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="np_name" autocomplete="off" value="{{Merchants()['nicepay']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="nicepay_desc">{lang('admin.appearance.merchants.list.nicepay.6')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="nicepay_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['nicepay']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="np_merchant_id">{lang('admin.appearance.merchants.list.nicepay.1')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="merchant_id" id="np_merchant_id" autocomplete="off" value="{{Merchants()['nicepay']['merchant_id']}}" required>
									</div>

									<div class="mb-2">
										<label for="np_secret">{lang('admin.appearance.merchants.list.nicepay.2')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="secret" id="np_secret" autocomplete="off" value="{{Merchants()['nicepay']['secret']}}" required>
									</div>

									<div class="mb-2">
										<label for="np_currency">{lang('admin.appearance.merchants.list.nicepay.3')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="currency" id="np_currency" autocomplete="off" value="{{Merchants()['nicepay']['currency']}}" required>
									</div>

									<div class="mb-2">
										<label for="np_min">{lang('admin.appearance.merchants.list.nicepay.4')}<span class="text-danger">*</span>:</label>
										<input type="number" min="1" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" class="form-control" name="min" id="np_min" autocomplete="off" value="{{Merchants()['nicepay']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="np_enable">{lang('admin.appearance.merchants.list.nicepay.5')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="np_enable">
											<option value="0" {if(!Merchants()['nicepay']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['nicepay']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="col-lg-6">
				<!-- Cryptomus -->
				<div class="card mb-4">
					<div class="card-header">
						<h5>Cryptomus</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/cryptomus">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="cryptomus">

									<div class="mb-2">
										<label for="cryptomus_name">{lang('admin.appearance.merchants.list.cryptomus.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="cryptomus_name" autocomplete="off" value="{{Merchants()['cryptomus']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="cryptomus_name">{lang('admin.appearance.merchants.list.cryptomus.1')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="cryptomus_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['cryptomus']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="cryptomus_merchant_id">{lang('admin.appearance.merchants.list.cryptomus.2')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="merchant_id" id="cryptomus_merchant_id" autocomplete="off" value="{{Merchants()['cryptomus']['merchant_id']}}" required>
									</div>

									<div class="mb-2">
										<label for="cryptomus_apiKey">{lang('admin.appearance.merchants.list.cryptomus.3')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="apiKey" id="cryptomus_apiKey" autocomplete="off" value="{{Merchants()['cryptomus']['apiKey']}}" required>
									</div>

									<div class="mb-2">
										<label for="cryptomus_currency">{lang('admin.appearance.merchants.list.cryptomus.4')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="currency" id="cryptomus_currency" autocomplete="off" value="{{Merchants()['cryptomus']['currency']}}" required>
									</div>

									<div class="mb-2">
										<label for="cryptomus_convert">{lang('admin.appearance.merchants.list.cryptomus.5')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="convert" id="cryptomus_convert" autocomplete="off" value="{{Merchants()['cryptomus']['convert']}}" required>
									</div>

									<div class="mb-2">
										<label for="cryptomus_network">{lang('admin.appearance.merchants.list.cryptomus.6')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="network" id="cryptomus_network" autocomplete="off" value="{{Merchants()['cryptomus']['network']}}" required>
									</div>

									<div class="mb-2">
										<label for="cryptomus_min">{lang('admin.appearance.merchants.list.cryptomus.7')}<span class="text-danger">*</span>:</label>
										<input type="number" min="1" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" class="form-control" name="min" id="cryptomus_min" autocomplete="off" value="{{Merchants()['cryptomus']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="cryptomus_enable">{lang('admin.appearance.merchants.list.cryptomus.8')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="cryptomus_enable">
											<option value="0" {if(!Merchants()['cryptomus']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['cryptomus']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>

				<!-- Skinify.io -->
				<div class="card mb-4">
					<div class="card-header">
						<h5>Skinify.io</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/skinify.io">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="skinify">

									<div class="mb-2">
										<label for="skinify_name">{lang('admin.appearance.merchants.list.skinify.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="skinify_name" autocomplete="off" value="{{Merchants()['skinify']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="skinify_desc">{lang('admin.appearance.merchants.list.skinify.5')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="skinify_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['skinify']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="skinify_token">{lang('admin.appearance.merchants.list.skinify.1')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="token" id="skinify_token" autocomplete="off" value="{{Merchants()['skinify']['token']}}" required>
									</div>

									<div class="mb-2">
										<label for="skinify_currency">{lang('admin.appearance.merchants.list.skinify.2')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="currency" id="skinify_currency" autocomplete="off" value="{{Merchants()['skinify']['currency']}}" required>
									</div>

									<div class="mb-2">
										<label for="skinify_min">{lang('admin.appearance.merchants.list.skinify.3')}<span class="text-danger">*</span>:</label>
										<input type="number" min="1" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" class="form-control" name="min" id="skinify_min" autocomplete="off" value="{{Merchants()['skinify']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="skinify_enable">{lang('admin.appearance.merchants.list.skinify.4')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="skinify_enable">
											<option value="0" {if(!Merchants()['skinify']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['skinify']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>

				<!-- Payeer -->
				<div class="card mb-4">
					<div class="card-header">
						<h5>Payeer</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/payeer">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="payeer">

									<div class="mb-2">
										<label for="payeer_name">{lang('admin.appearance.merchants.list.payeer.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="payeer_name" autocomplete="off" value="{{Merchants()['payeer']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="payeer_desc">{lang('admin.appearance.merchants.list.payeer.6')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="payeer_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['payeer']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="payeer_shop_id">{lang('admin.appearance.merchants.list.payeer.1')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="shop_id" id="payeer_shop_id" autocomplete="off" value="{{Merchants()['payeer']['shop_id']}}" required>
									</div>

									<div class="mb-2">
										<label for="payeer_secret_key">{lang('admin.appearance.merchants.list.payeer.2')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="secret_key" id="payeer_secret_key" autocomplete="off" value="{{Merchants()['payeer']['secret_key']}}" required>
									</div>

									<div class="mb-2">
										<label for="payeer_currency">{lang('admin.appearance.merchants.list.payeer.3')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="currency" id="payeer_currency" autocomplete="off" value="{{Merchants()['payeer']['currency']}}" required>
									</div>

									<div class="mb-2">
										<label for="payeer_min">{lang('admin.appearance.merchants.list.payeer.4')}<span class="text-danger">*</span>:</label>
										<input type="number" min="1" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" class="form-control" name="min" id="payeer_min" autocomplete="off" value="{{Merchants()['payeer']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="payeer_enable">{lang('admin.appearance.merchants.list.payeer.5')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="payeer_enable">
											<option value="0" {if(!Merchants()['payeer']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['payeer']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>

				<!-- Free-Kassa -->
				<div class="card mb-4">
					<div class="card-header">
						<h5>Freekassa</h5>

						<div class="End">
							<a class="btn btn-sm btn-danger" href="https://t.me/osipgroup"><i class="bi bi-bug"></i></a>
							<a class="btn btn-sm btn-success" target="_blank" href="https://docs.unioncms.ru/instrukcii/platezhnye-sistemy/freekassa">{lang('system.docs')}</a>
						</div>
					</div>

					<div class="card-body">
						<div class="Items">
							<div class="Item">
								<form data-admin="editMerchant">
									<input type="hidden" name="merchant" value="fk">

									<div class="mb-2">
										<label for="fk_name">{lang('admin.appearance.merchants.list.freekassa.0')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" class="form-control" name="name" id="fk_name" autocomplete="off" value="{{Merchants()['fk']['name']}}" required>
									</div>

									<div class="mb-2">
										<label for="freekassa_desc">{lang('admin.appearance.merchants.list.freekassa.6')}<span class="text-danger">*</span>:</label>
										<textarea class="form-control" rows="2" name="desc" id="freekassa_desc" placeholder="{lang('admin.appearance.merchants.placeholder.text')}" required>{{Merchants()['fk']['desc']}}</textarea>
									</div>

									<div class="mb-2">
										<label for="fk_merchant_id">{lang('admin.appearance.merchants.list.freekassa.1')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="merchant_id" id="fk_merchant_id" autocomplete="off" value="{{Merchants()['fk']['merchant_id']}}" required>
									</div>

									<div class="mb-2">
										<label for="fk_public_key">{lang('admin.appearance.merchants.list.freekassa.2')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="public_key" id="fk_public_key" autocomplete="off" value="{{Merchants()['fk']['public_key']}}" required>
									</div>

									<div class="mb-2">
										<label for="fk_private_key">{lang('admin.appearance.merchants.list.freekassa.3')}<span class="text-danger">*</span>:</label>
										<input type="text" placeholder="{lang('admin.appearance.merchants.placeholder.valid')}" class="form-control" name="private_key" id="fk_private_key" autocomplete="off" value="{{Merchants()['fk']['private_key']}}" required>
									</div>

									<div class="mb-2">
										<label for="fk_min">{lang('admin.appearance.merchants.list.freekassa.4')}<span class="text-danger">*</span>:</label>
										<input type="number" min="1" placeholder="{lang('admin.appearance.merchants.placeholder.number')}" class="form-control" name="min" id="fk_min" autocomplete="off" value="{{Merchants()['fk']['min']}}" required>
									</div>

									<div class="mb-2">
										<label for="fk_enable">{lang('admin.appearance.merchants.list.freekassa.5')}<span class="text-danger">*</span>:</label>
										<select class="form-select" name="enable" id="fk_enable">
											<option value="0" {if(!Merchants()['fk']['enable'])} selected {/if}>{lang('labels.disabled')}</option>
											<option value="1" {if(Merchants()['fk']['enable'])} selected {/if}>{lang('labels.enabled')}</option>
										</select>
									</div>

									<button class="btn btn-primary" type="submit">{lang('system.save')}</button>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>