{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content Page-ePages">
		<div class="card">
			<div class="card-header">
				<h5>
					<span>{lang('admin.appearance.pages.add.title')}</span>
				</h5>
			</div>
			
			<div class="card-body">
				<form data-admin="onAddPage">
					<div class="mb-2">
						<label for="title">{lang('admin.appearance.pages.add.form.0')}<span class="text-danger">*</span>:</label>
						<input type="text" class="form-control" name="title" id="title" autocomplete="off" placeholder="{lang('admin.appearance.pages.add.placeholder.text')}" required>
					</div>
					
					<div class="mb-2">
						<label for="description">{lang('admin.appearance.pages.add.form.1')}<span class="text-danger">*</span>:</label>
						<textarea class="form-control" name="description" rows="2" id="description" placeholder="{lang('admin.appearance.pages.add.placeholder.text')}" required></textarea>
					</div>
					
					<div class="mb-2">
						<label for="keywords">{lang('admin.appearance.pages.add.form.2')}<span class="text-danger">*</span>:</label>
						<input type="text" class="form-control" name="keywords" id="keywords" autocomplete="off" placeholder="{lang('admin.appearance.pages.add.placeholder.text')}" required>
					</div>
					
					<div class="mb-2">
						<label for="link">{lang('admin.appearance.pages.add.form.3')}<span class="text-danger">*</span>:</label>
						
						<div class="input-group">
							<span class="input-group-text">/pages/</span>
							<input type="text" class="form-control" name="link" id="link" autocomplete="off" placeholder="{lang('admin.appearance.pages.add.placeholder.search')}" required>
						</div>
					</div>
					
					<div class="mb-2">
						<label for="content">{lang('admin.appearance.pages.add.form.4')}:</label>
						<textarea id="content" placeholder="{lang('admin.appearance.pages.add.placeholder.content')}"></textarea>
					</div>
					
					<div class="mb-4">
						<label for="enable">{lang('admin.appearance.pages.add.form.5')}<span class="text-danger">*</span>:</label>
						<select class="form-select" id="enable" name="enable">
							<option value="0">{lang('labels.disabled')}</option>
							<option value="1" selected>{lang('labels.enabled')}</option>
						</select>
					</div>
					
					<button type="submit" class="btn btn-primary btn-sm">{lang('admin.appearance.pages.add.form.6')}</button>
				</form>
				
				<script>
					$(function() {
						inEditor('textarea#content', '{echo(Languages()->Get())}', 'link image media code');
					});
				</script>
			</div>
		</div>
	</div>
</div>