{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content Page-ePages">
		<div class="card">
			<div class="card-header">
				<h5>
					<span>{lang('admin.appearance.pages.edit.title', '{title}')}</span>
				</h5>
			</div>
			
			<div class="card-body">
				<form data-admin="onEditPage">
					<input type="hidden" name="page_id" value="{page_id}">
					
					<div class="mb-2">
						<label for="title">{lang('admin.appearance.pages.edit.form.0')}<span class="text-danger">*</span>:</label>
						<input type="text" placeholder="{lang('admin.appearance.pages.edit.placeholder.text')}" class="form-control" name="title" id="title" autocomplete="off" value="{title}" required>
					</div>
					
					<div class="mb-2">
						<label for="description">{lang('admin.appearance.pages.edit.form.1')}<span class="text-danger">*</span>:</label>
						<textarea class="form-control" placeholder="{lang('admin.appearance.pages.edit.placeholder.text')}" name="description" rows="2" id="description" required>{description}</textarea>
					</div>
					
					<div class="mb-2">
						<label for="keywords">{lang('admin.appearance.pages.edit.form.2')}<span class="text-danger">*</span>:</label>
						<input type="text" class="form-control" placeholder="{lang('admin.appearance.pages.edit.placeholder.text')}" name="keywords" id="keywords" autocomplete="off" value="{keywords}" required>
					</div>
					
					<div class="mb-2">
						<label for="link">{lang('admin.appearance.pages.edit.form.3')}<span class="text-danger">*</span>:</label>
						
						<div class="input-group">
							<span class="input-group-text">/pages/</span>
							<input type="text" placeholder="{lang('admin.appearance.pages.edit.placeholder.search')}" class="form-control" name="link" id="link" autocomplete="off" value="{link}" required>
						</div>
					</div>
					
					<div class="mb-2">
						<label for="content">{lang('admin.appearance.pages.edit.form.4')}:</label>
						<textarea id="content">{content}</textarea>
					</div>
					
					<div class="mb-4">
						<label for="enable">{lang('admin.appearance.pages.edit.form.5')}<span class="text-danger">*</span>:</label>
						<select class="form-select" id="enable" name="enable">
							<option value="0" {if('{enable}' == '0')}selected{/if}>{lang('labels.disabled')}</option>
							<option value="1" {if('{enable}' == '1')}selected{/if}>{lang('labels.enabled')}</option>
						</select>
					</div>
					
					<button type="submit" class="btn btn-primary btn-sm">{lang('admin.appearance.pages.edit.form.6')}</button>
				</form>
				
				<script>
					$(function() {
						inEditor('textarea#content', '{echo(Languages()->Get())}', 'link image media code');
					});
				</script>
			</div>
		</div>
	</div>
</div>