{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content Page-eUsers UserEdit">
		<div class="card mb-3">
			<div class="card-header">
				<h5><span>{lang('admin.appearance.users.edit.title', '{user_login}')}</span></h5>
			</div>
		</div>
		
		<!-- Статистика -->
		<div class="Stats">
			<div class="Item">
				<div class="Placeholder">{lang('admin.appearance.users.edit.stats.0')}</div>
				<div class="Value">{product_rows}</div>
			</div>

			<div class="Item">
				<div class="Placeholder">{lang('admin.appearance.users.edit.stats.1')}</div>
				<div class="Value">{sell_rows}</div>
			</div>

			<div class="Item">
				<div class="Placeholder">{lang('admin.appearance.users.edit.stats.2')}</div>
				<div class="Value">{order_rows}</div>
			</div>

			<div class="Item">
				<div class="Placeholder">{lang('admin.appearance.users.edit.stats.3')}</div>
				<div class="Value">{refund_rows}</div>
			</div>

			<div class="Item">
				<div class="Placeholder">{lang('admin.appearance.users.edit.stats.4')}</div>
				<div class="Value">{income_rows} {currency}</div>
			</div>
			
			<div class="Item">
				<div class="Placeholder">{lang('admin.appearance.users.edit.stats.5')}</div>
				<div class="Value">{output_rows} {currency}</div>
			</div>

			<div class="Item">
				<div class="Placeholder">{lang('admin.appearance.users.edit.stats.6')}</div>
				<div class="Value">{frozen_rows} {currency}</div>
			</div>
		</div>

		<div class="card">
			<div class="card-body">
				<form data-admin="onEditUser">
					<input type="hidden" name="id" value="{user_id}">
				
					<div class="mb-2">
						<label for="login">{lang('admin.appearance.users.edit.form.0')}<span class="text-danger">*</span></label>
						<input type="text" class="form-control" id="login" name="login" autocomplete="off" value="{user_login}" required>
					</div>
					
					<div class="mb-2">
						<label for="email">{lang('admin.appearance.users.edit.form.1')}<span class="text-danger">*</span></label>
						<input type="email" class="form-control" id="email" name="email" autocomplete="off" value="{user_email}" required>
					</div>
					
					<div class="mb-2">
						<label for="balance">{lang('admin.appearance.users.edit.form.2')}<span class="text-danger">*</span></label>
						<input type="number" class="form-control" id="balance" name="balance" autocomplete="off" value="{user_balance}" required>
					</div>

					<div class="mb-2">
						<label for="remarks">{lang('admin.appearance.users.edit.form.3')}<span class="text-danger">*</span></label>
						<input type="text" class="form-control" id="remarks" name="remarks" autocomplete="off" value="{user_remarks}" required>
					</div>

					<div class="mb-2">
						<label for="language">{lang('admin.appearance.users.edit.form.4')}<span class="text-danger">*</span></label>
						<select class="form-select" id="language" name="language" required>
							{languages}
						</select>
					</div>
					
					<div class="mb-2">
						<label for="rights">{lang('admin.appearance.users.edit.form.5')}<span class="text-danger">*</span></label>
						<input type="text" class="form-control" id="rights" name="rights" autocomplete="off" value="{user_rights}" required>
					</div>
					
					<div class="mb-3">
						<label for="roleid">{lang('admin.appearance.users.edit.form.6')}<span class="text-danger">*</span></label>
						<select class="form-select" id="roleid" name="roleid">
							{func UsersRole:getList('{user_roleid}')}
						</select>
					</div>
					
					<input type="submit" class="btn btn-primary btn-sm" value="{lang('system.save')}">
				</form>

				<div class="Data">
					<div class="Image"><img src="/uploads/images/avatars/{user_image}"></div>

					<div class="Info">
						<ul>
							<li>{lang('admin.appearance.users.edit.form.7', '{user_register}')}</li>
							<li>{lang('admin.appearance.users.edit.form.8', '{user_online}')}</li>
							<li class="IsOnline">
								<span class="{if('{user_is_online}' == '1')}Online{/if}">{user_online_text}</span>
							</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>