{grab('/elements/header.tpl')}

<div class="Body Body-Account">
	<div class="Page-Account">
		<div class="Container">
			<div class="Main-Info">
				<div class="Avatar">
					<div class="Image">
						<img src="/uploads/images/avatars/{avatar}">

						{if($new_year)}
							<div class="new_year_decoration_2"></div>
						{/if}
					</div>
							
					{if(users()->isOnline('{user_id}'))}
						<span class="LastOnline Online">{lang('system.online')}</span>
					{else}
						<span class="LastOnline">{{userTimeAgo('{user_id}')}}</span>
					{/if}
				</div>
				
				<div class="Profile-Info">
					<span class="Name"><span>{name}</span> <div class="Badge">{profile_role}</div></span>
					<span class="Register">{{timeOnSite('{date_register}')}}</span>
							
					<div class="Special">
						<div class="Rating">
							<span>{rating}</span> {lang('account.home.labels.rating')}
						</div>
								
						<div class="Remarks">
							<span>{remarks}/{{conf()->max_remarks}}</span> {lang('account.home.labels.remarks')}
						</div>
					</div>
						
					<div class="Status">
						<span>{status}</span>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<div class="Page-Account-Menu">
		<div class="Container">
			<ul class="Navigation">
				<li><a href="/account/wallet" class="Active" data-target="balance" data-bs-toggle="modal" data-bs-target="#m">{lang('account.menu.balance')}</a></li>
				<li><a href="/account/notifications" data-target="notifications">{lang('account.menu.notifications')}</a></li>
				<li><a href="/account/market" data-target="market">{lang('account.menu.market')}</a></li>
				<li><a href="/account/orders" data-target="orders">{lang('account.menu.orders')}</a></li>
				<li><a href="/account/refund" data-target="refund">{lang('account.menu.refund')}</a></li>
				<li><a href="/account/settings" data-target="settings">{lang('account.menu.settings')}</a></li>
			</ul>
		</div>
	</div>
	
	<div class="Page-Account-Content">
		<div class="Container">
			<div class="Wallet">
				<div class="Info">
					<div class="Balance">
						<span>{lang('account.wallet.labels.current')}</span>
						<span>{balance} {currency}</span>
					</div>
					
					<div class="Freez">
						<span>{lang('account.wallet.labels.frozen')}</span>
						<span>{balance_frozen} {currency}</span>
					</div>
					
					<div class="Buttons">
						<button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalPay">{lang('account.wallet.button')}</button>
					</div>
				</div>
				
				<div class="History">
					<div class="pre-table">
						<table class="table">
							<thead>
								<tr>
									<td>{lang('account.wallet.table.number')}</td>
									<td>{lang('account.wallet.table.date')}</td>
									<td>{lang('account.wallet.table.type')}</td>
									<td>{lang('account.wallet.table.status')}</td>
									<td>{lang('account.wallet.table.count')}</td>
								</tr>
							</thead>

							<tbody>
								{func UsersTransactions:getTableGUI('{user_id}')}
							</tbody>
						</table>
					</div>

					<nav class="inPaginate">
						<ul class="pagination"></ul>
					</nav>

					<script>
						inPaginate('.Page-Account-Content .Wallet > .History table tbody tr', 10);
					</script>
				</div>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}