<div id="step-3">
	<h5>{lang('elements.market.add.step_3.title')}</h5>

	<div class="info_category">
		<button type="button" data-target="back" data-step_id="2"><i class="bi bi-chevron-left"></i></button>

		<div class="info_category_image"><img src="/uploads/images/icons/{category_image}"></div>
		<div class="info_category_data">
			<div class="info_category_name">{category_name}</div>
			<div class="info_subcategory_name">{lang('elements.market.add.step_3.desc')}</div>
		</div>
	</div>

	<div class="Items">{cards}</div>

	<script>
		$('[data-target="back"]').off('click').on('click', function(e) {
			var step_id = $(this).data('step_id');

			SendPost('/api/v1/market/add', {
				back_step: 1,
				step_id: step_id
			}, (Result) => {
				if(Result.Content) {
					$('#step-content').html(Result.Content);
				}
				else {
					ShowToasty(Result.Message, Result.Alert);
				}
			});
		});

		$('button[data-action]').off('click').on('click', function(e) {
			var action = $(this).data('action');
			
			switch(action) {
				case 'goToStep3': {
					var step_id = $(this).data('step_id');
					var subcategory_id = $(this).data('id');
					
					SendPost('/api/v1/market/add', {
						goto_step: 1,
						step_id: step_id,
						subcategory_id: subcategory_id
					}, (Result) => {
						if(Result.Content) {
							$('#step-content').html(Result.Content);
						}
						else {
							ShowToasty(Result.Message, Result.Alert);
						}
					});
	
					break;
				}
			}
		});
	</script>
</div>