<div class="modal fade Auth" id="modalAuth" tabindex="-1" aria-labelledby="modalAuthLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h1 class="modal-title" id="modalAuthLabel">{lang('elements.modals.not_auth.title')}</h1>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>

			<div class="modal-body">
				<form data-action="onAuth">
					<div class="form-floating mb-3">
						<input type="text" class="form-control" id="modalAuthEmail" placeholder="{lang('elements.modals.not_auth.form.login.placeholder')}" name="login" autocomplete="off" required>
						<label for="modalAuthEmail">{lang('elements.modals.not_auth.form.login.placeholder')}</label>
					</div>
					
					<div class="form-floating mb-1">
						<input type="password" class="form-control" id="modalAuthPassword" placeholder="{lang('elements.modals.not_auth.form.password.placeholder')}" name="password" autocomplete="off" required>
						<label for="modalAuthPassword">{lang('elements.modals.not_auth.form.password.placeholder')}</label>
					</div>
					
					<div class="DoubleBooble mb-3">
						<div class="Start">
							<div class="form-check">
								<input class="form-check-input" type="checkbox" value="" id="flexCheckChecked" checked>
								<label class="form-check-label" for="flexCheckChecked">
									{lang('elements.modals.not_auth.form.remember_me')}
								</label>
							</div>
						</div>
						
						<div class="End">
							<a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#modalRecovery">{lang('elements.modals.not_auth.form.recovery')}</a>
						</div>
					</div>
					
					<button type="submit" class="btn btn-primary btn-lg w-100">{lang('elements.modals.not_auth.form.submit')}</button>
				</form>
				
				<small>{lang('elements.modals.not_auth.form.register')}</small>
			</div>
		</div>
	</div>
</div>

<div class="modal fade Register" id="modalRegister" tabindex="-1" aria-labelledby="modalRegisterLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h1 class="modal-title" id="modalRegisterLabel">{lang('elements.modals.not_auth.register.title')}</h1>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>

			<div class="modal-body">
				<form data-action="onRegister">
					<div class="form-floating mb-3">
						<input type="text" class="form-control" id="modalRegisterLogin" placeholder="{lang('elements.modals.not_auth.register.form.login')}" name="login" autocomplete="off" required>
						<label for="modalRegisterLogin">{lang('elements.modals.not_auth.register.form.login')}</label>
					</div>

					<div class="form-floating mb-3">
						<input type="email" class="form-control" id="modalRegisterEmail" placeholder="{lang('elements.modals.not_auth.register.form.email')}" name="email" autocomplete="off" required>
						<label for="modalRegisterEmail">{lang('elements.modals.not_auth.register.form.email')}</label>
					</div>
					
					<div class="form-floating mb-3">
						<input type="password" class="form-control" id="modalRegisterPassword" placeholder="{lang('elements.modals.not_auth.register.form.password')}" name="password" autocomplete="off" required>
						<label for="modalRegisterPassword">{lang('elements.modals.not_auth.register.form.password')}</label>
					</div>
					
					<div class="form-floating mb-3">
						<input type="password" class="form-control" id="modalRegisterPasswordConfirm" placeholder="{lang('elements.modals.not_auth.register.form.password_confirm')}" name="password_confirm" autocomplete="off" required>
						<label for="modalRegisterPasswordConfirm">{lang('elements.modals.not_auth.register.form.password_confirm')}</label>
					</div>
					
					<button type="submit" class="btn btn-primary btn-lg w-100">{lang('elements.modals.not_auth.register.form.submit')}</button>
				</form>
				
				<div class="Links">
					<a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#modalAuth">{lang('elements.modals.not_auth.register.form.go_login')}</a>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade Recovery" id="modalRecovery" tabindex="-1" aria-labelledby="modalRecoveryLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h1 class="modal-title" id="modalRecoveryLabel">Сброс пароля</h1>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>

			<div class="modal-body">
				<form data-action="onRecovery">
					<div class="form-floating mb-3">
						<input type="email" class="form-control" id="modalRecoveryEmail" placeholder="Введите E-mail адрес" name="email" autocomplete="off" required>
						<label for="modalRecoveryEmail">Укажите свой E-mail<span class="text-danger">*</span>:</label>
					</div>

					<button type="submit" class="btn btn-primary btn-lg w-100">Отправить</button>
				</form>
				
				<div class="Links">
					<a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#modalAuth">Вспомнили пароль?</a>
				</div>
			</div>
		</div>
	</div>
</div>