<div class="col-lg-3 product-item" data-price="{price}" data-discount="{discount}" data-name="{name}" data-sells="{row_sells}" {filters}>
	<a class="Item" href="/market/index?id={id}">
		<div class="Image"><img src="/uploads/images/product/{image}"></div>

		<div class="Info">
			<div class="Price">
				<div class="Total">
					<span class="formatted-number">{price}</span> {currency}
				</div>

				{if('{discount}' > 0)}
					<div class="Discount"><span>-{discount}%</span></div>
				{/if}
				
				{if('{oldprice}' > 0)}
					<div class="Oldprice">{oldprice}</div>
				{/if}
			</div>

			<div class="Name"><span>{name}</span></div>
			<div class="Seller">
				<div class="Avatar">
					<img src="/uploads/images/avatars/{seller_image}">
				</div>

				<div class="Data">
					<div class="Name">
						<div class="status {if(users()->isOnline('{seller_id}'))}online{else}offline{/if}"></div>
						{seller_name}
					</div>
					<div class="Stars">
						<div class="Icon"><i class="bx bxs-star"></i></div>
						<span>{stars_count} ({stars_reviews})</span>
					</div>
				</div>
			</div>
		</div>
	</a>
</div>