{grab('/elements/header.tpl')}

<div class="Body">
	<div class="Container">
		<!--[ Main ]-->
		<div class="Page-My-Product">
			<div class="Title">
				<div class="Start">
					<h2>{lang('market.my_product.title')}</h2>
				</div>

				<div class="End">
					<a href="/market/income" class="btn btn-confirm">{lang('market.my_product.buttons.income')}</a>
					<a href="/market/add" class="btn btn-confirm">{lang('market.my_product.buttons.add')}</a>
				</div>
			</div>

			<div class="Stats">
				<section class="Date">
					<div class="Icon"><i class="bx bx-calendar"></i></div>
					<div class="Value">{date}</div>
				</section>

				<section>
					<div class="Placeholder">{lang('market.my_product.stats.all.placeholder')}</div>
					<div class="Value">{product_rows_all}</div>
				</section>

				<section>
					<div class="Placeholder">{lang('market.my_product.stats.enable.placeholder')}</div>
					<div class="Value">{product_rows_enable}</div>
				</section>

				<section>
					<div class="Placeholder">{lang('market.my_product.stats.moderation.placeholder')}</div>
					<div class="Value">{product_rows_moderation}</div>
				</section>

				<section>
					<div class="Placeholder">{lang('market.my_product.stats.ads.placeholder')}</div>
					<div class="Value">{product_rows_premium}</div>
				</section>
			</div>

			<div class="pre-table">
				<table class="table">
					<thead>
						<tr>
							<td></td>
							<td>{lang('market.my_product.table.head.0')}</td>
							<td>{lang('market.my_product.table.head.1')}</td>
							<td>{lang('market.my_product.table.head.2')}</td>
							<td>{lang('market.my_product.table.head.3')}</td>
							<td>{lang('market.my_product.table.head.4')}</td>
							<td>{lang('market.my_product.table.head.5')}</td>
							<td>{lang('market.my_product.table.head.6')}</td>
							<td></td>
							<td></td>
						</tr>
					</thead>

					<tbody>
						{list_products}
					</tbody>
				</table>
			</div>

			<nav class="inPaginate">
				<ul class="pagination"></ul>
			</nav>

			<script>
				inPaginate('.Page-My-Product .pre-table table tbody tr', 10);
			</script>
		</div>
	</div>

	{grab('/elements/modals/buy_product_premium.tpl')}
</div>

{grab('/elements/footer.tpl')}