{grab('/elements/header.tpl')}

<div class="Body Page-Refunds Home">
	<div class="Container">
		<div class="row">
			<div class="col-lg-3">
				<a href="/refunds" class="btn btn-primary w-100 mb-3">{lang('system.back')}</a>
				{grab('/elements/menu.tpl')}
			</div>

			<div class="col-lg-9">
				<div class="TitleHome">
					<div class="Start"><span>{lang('refunds.home.title', ['{plaintiff_name}', '{defendant_name}'])}</span></div>

					{if(Refunds()->IsAvailable('{refund_id}'))}
						<div class="End">
							{if(isRights('d'))}
								<button type="button" data-action="onDialogConfirmRefunds" data-id="{refund_id}" class="btn btn-primary">{lang('refunds.home.decision')}</button>
							{/if}
							
							{if(isset($_SESSION['id']) && Refunds()->IsAccess('{refund_id}', $_SESSION['id']))}
								<a href="/refunds/id{refund_id}/add" class="btn btn-primary">{lang('refunds.home.add')}</a>
							{/if}
						</div>
					{/if}
				</div>

				<div class="History">
					<div class="Data Block">
						<div class="Item">
							<div class="Label">{lang('refunds.date')}</div>
							<div class="Value">{date}</div>
						</div>

						<div class="Item">
							<div class="Label">{lang('refunds.plaintiff')}</div>
							<div class="Value">{plaintiff_name}</div>
						</div>

						<div class="Item">
							<div class="Label">{lang('refunds.defendant')}</div>
							<div class="Value">{defendant_name}</div>
						</div>

						<div class="Item">
							<div class="Label">{lang('refunds.price')}</div>
							<div class="Value">{price} {currency}</div>
						</div>

						<div class="Item">
							<div class="Label">{lang('refunds.decision')}</div>
							<div class="Value" data-status="{status_id}">{decision}</div>
						</div>
					</div>
					
					<div class="Messages">
						{messages}
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}