{grab('/elements/header.tpl')}

<div class="Body Page-Refunds Index">
	<div class="Container">
		<div class="row">
			<div class="col-lg-3">
				{grab('/elements/menu.tpl')}
			</div>

			<div class="col-lg-9">
				<div class="Place">
					<span>{lang('refunds.index.placeholder')}</span>
				</div>

				<div class="Stats">
					<div class="Item">
						<div class="Label">{lang('refunds.index.stats.0')}</div>
						<div class="Value">{stats_total}</div>
					</div>

					<div class="Item">
						<div class="Label">{lang('refunds.index.stats.1')}</div>
						<div class="Value">{stats_unresolved}</div>
					</div>

					<div class="Item">
						<div class="Label">{lang('refunds.index.stats.2')}</div>
						<div class="Value">{stats_resolved}</div>
					</div>

					<div class="Item">
						<div class="Label">{lang('refunds.index.stats.3')}</div>
						<div class="Value">{stats_price} {currency}</div>
					</div>
				</div>

				<div class="pre-table mt-3">
					<table class="table">
						<thead>
							<tr>
								<td>{lang('refunds.date')}</td>
								<td>{lang('refunds.plaintiff')}</td>
								<td>{lang('refunds.defendant')}</td>
								<td>{lang('refunds.price')}</td>
								<td>{lang('refunds.decision')}</td>
								<td></td>
							</tr>
						</thead>

						<tbody>
							{list_refunds}
						</tbody>
					</table>
				</div>

				<nav class="inPaginate">
					<ul class="pagination"></ul>
				</nav>
	
				<script>
					inPaginate('.pre-table table tbody tr', 10);
				</script>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}