<p><b>1. Definitionen</b></p>
<p>1.1. Software: UnionCMS, einschließlich aller Komponenten, Dateien und Dokumentationen, die zusammen mit der Software bereitgestellt werden.</p>
<p>1.2. Benutzer: Eine natürliche oder juristische Person, die die Software UnionCMS gemäß dieser Lizenzvereinbarung zur Nutzung erhalten hat.</p>
<p>1.3. Rechteinhaber: Eine juristische Person, die die ausschließlichen Rechte an der Software UnionCMS besitzt.</p>

<p><b>2. Gegenstand der Vereinbarung</b></p>
<p>2.1. Der Benutzer erhält ein nicht ausschließliches Recht zur Nutzung der Software UnionCMS gemäß den Bedingungen dieser Vereinbarung.</p>

<p><b>3. Rechte und Pflichten</b></p>
<p>3.1. Der Benutzer hat das Recht:</p>
<p>
	<ul>
		<li>die Software UnionCMS auf seinen Servern oder virtuellen Hosting-Diensten zu installieren und zu nutzen;</li>
		<li>Änderungen am Quellcode der Software vorzunehmen, für eigene Zwecke;</li>
		<li>zusätzliche Module und Erweiterungen auf Basis der Software UnionCMS zu erstellen.</li>
	</ul>
</p>
<p>3.2. Der Benutzer verpflichtet sich:</p>
<p>
	<ul>
		<li>die Software UnionCMS ohne schriftliche Zustimmung des Rechteinhabers nicht an Dritte weiterzugeben;</li>
		<li>die Software UnionCMS nicht für illegale Zwecke oder auf eine Weise zu nutzen, die die Rechte Dritter verletzt.</li>
	</ul>
</p>
<p>3.3. Der Rechteinhaber hat das Recht:</p>
<p>
	<ul>
		<li>die Dienstleistung dem Benutzer ohne vorherige Benachrichtigung zu verweigern;</li>
		<li>die Bedingungen dieser Lizenzvereinbarung ohne Benachrichtigung des Benutzers zu ändern. Änderungen treten mit ihrer Veröffentlichung auf der offiziellen Website, in Gruppen oder auf dem Telegram-Kanal des Rechteinhabers in Kraft.</li>
	</ul>
</p>
<p><b>4. Ausschließliche Rechte</b></p>
<p>
	<ul>
		<li>4.1. Alle ausschließlichen Rechte an der Software UnionCMS gehören dem Rechteinhaber.</li>
	</ul>
</p>
<p><b>5. Haftung der Parteien</b></p>
<p>
	<ul>
		<li>5.1. Der Rechteinhaber haftet nicht für Schäden, weder direkte noch indirekte, die aus der Nutzung oder Unfähigkeit zur Nutzung der Software UnionCMS entstehen.</li>
		<li>5.2. Der Benutzer ist verantwortlich für die Einhaltung der Bedingungen dieser Lizenzvereinbarung.</li>
	</ul>
</p>
<p><b>6. Schlussbestimmungen</b></p>
<p>
	<ul>
		<li>6.1. Diese Lizenzvereinbarung tritt mit der Installation der Software UnionCMS in Kraft und bleibt bis zur Kündigung gemäß den Bedingungen der Vereinbarung gültig.</li>
		<li>6.2. Änderungen und Ergänzungen dieser Lizenzvereinbarung sind nur gültig, wenn beide Parteien schriftlich zustimmen.</li>
		<li>6.3. Alle Streitigkeiten und Meinungsverschiedenheiten, die sich aus der Durchführung dieser Vereinbarung ergeben, werden gemäß den geltenden Gesetzen geregelt.</li>
	</ul>
</p>

<div class="Actions License">
	<div class="form-check">
		<input class="form-check-input" type="checkbox" id="licenseSuccess">
		<label class="form-check-label" for="licenseSuccess">
			Ich akzeptiere die Bedingungen dieser Lizenz
		</label>
	</div>
	
	<div class="End">
		<a href="?step=1" class="btn btn-primary btn-sm disabled">Weiter</a>
	</div>
</div>
