<div class="Title">System Configurations</div>

<form data-install="onConfigs">
	<div class="mb-2">
		<label for="site_name">Site name<span class="text-danger">*</span>:</label>
		<input type="text" class="form-control" id="site_name" name="site_name" autocomplete="off" value="{{$systemConf->site_name}}" required>
	</div>
	
	<div class="mb-2">
		<label for="description">Description<span class="text-danger">*</span>:</label>
		<textarea class="form-control" id="description" name="description" rows="3" required>{{$systemConf->description}}</textarea>
	</div>
	
	<div class="mb-3">
		<label for="keywords">Keywords<span class="text-danger">*</span>:</label>
		<input type="text" class="form-control" id="keywords" name="keywords" autocomplete="off" value="{{$systemConf->keywords}}" required>
	</div>

	<div class="mb-3">
		<label for="language">Language primary<span class="text-danger">*</span>:</label>
		<select id="language" class="form-select" name="language" required>
			<option value="ru">Русский</option>
			<option value="en" selected>English</option>
			<option value="de">Deutsch</option>
			<option value="ua">Український</option>
			<option value="kz">Қазақша</option>
			<option value="it">Italiano</option>
		</select>
	</div>
	
	<button type="submit" class="btn btn-primary btn-sm">Continue</button>
</form>