<!DOCTYPE HTML>
<html lang="ru">
	<head>
		<title>Установщик UnionCMS</title>
		
		<!--[ Meta ]-->
		<meta charset="UTF-8">
		<meta name="title" content="UnionCMS">
		<meta name="keywords" content="торговая площадка, IT продукты, программное обеспечение, облачные решения, безопасность данных, инструменты для разработки, системы контроля версий, автоматизация тестирования, виртуальные машины, хранилища данных, антивирусные программы, управление доступом, конфиденциальность данных, офисные приложения, сервисы облачных вычислений, разработка программного обеспечения, IT консалтинг, лучшие цены на IT товары, IT платформа">
		<meta name="description" content="Ведущая торговая платформа, созданная для профессионалов и энтузиастов в области информационных технологий. Мы предоставляем широкий спектр продуктов и услуг, которые помогут вам воплотить ваши проекты в жизнь и оптимизировать рабочие процессы.">
		<meta name="author" content="OSIP Group">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		
		<!--[ Attributes ]-->
		<link rel="shortcut icon" href="/assets/admin/img/favicon.png" type="image/x-icon">
		
		<!--[ Load Primary Styles ]-->
		<link rel="stylesheet" href="/assets/admin/css/install/start.css?v={cache}">
		
		<!--[ Load Secondary Styles ]-->
		{styles}
		
		<!--[ Load Primary JavaScripts ]-->
		<script src="/assets/admin/js/plugins/jquery-3.7.1.min.js?v={cache}"></script>
		<script src="/assets/admin/js/plugins/bootstrap.bundle.min.js?v={cache}"></script>
		<script src="/assets/admin/js/plugins/swiper-bundle.min.js?v={cache}"></script>
		<script src="/system/plugins/jquery-toast/jquery.toast.min.js?v={cache}"></script>
		
		<!--[ Load System JavaScripts ]-->
		<script src="/system/functions.js?v={cache}"></script>
		<script src="/system/start.js?v={cache}"></script>
		
		<!--[ Load Appearance JavaScripts ]-->
		<script src="/assets/admin/js/install/ajax.js?v={cache}"></script>
	</head>
	
	<body>
		<div class="Main">
			<div class="Caption">
				<h4>UnionCMS</h4>
			</div>
			
			<div class="Block">
				<div class="Header">
					{if(empty($_GET['step']) || $_GET['step'] > 5 || 0 >= $_GET['step'])}
						<h5>Лицензионное соглашение</h5>
					{else}
						{if($_GET['step'] == '5')}
							<h5>Финал</h5>
						{else}
							<h5>Шаг {{$_GET['step']}}</h5>
						{/if}
					{/if}
					
					<div class="End">
						Сборка: {version}
					</div>
				</div>
				
				<div class="Body">
					{if(isset($_GET['step']))}
						{if($_GET['step'] == '1')}
							{grab('/install/ru/step/database.tpl')}
						{/if}
						
						{if($_GET['step'] == '2')}
							{grab('/install/ru/step/configs.tpl')}
						{/if}

						{if($_GET['step'] == '3')}
							{grab('/install/ru/step/smtp.tpl')}
						{/if}
						
						{if($_GET['step'] == '4')}
							{grab('/install/ru/step/license_key.tpl')}
						{/if}
						
						{if($_GET['step'] == '5')}
							{grab('/install/ru/step/install_end.tpl')}
						{/if}
						
						{if($_GET['step'] > 5 || 0 >= $_GET['step'])}
							{grab('/install/ru/step/license.tpl')}
						{/if}
					{else}
						{grab('/install/ru/step/license.tpl')}
					{/if}
				</div>
			</div>
			
			<div class="Copyright">
				&copy; 2020-{currencyDate} <a href="https://osip.kz">OSIP Group</a>. Все права сохранены.
			</div>
		</div>
	</body>
</html>