<?PHP
	CallBack()->Add('onCreateRefunds', function($data) {
		// refund_id - индекс спора
		// reason - пользовательская причина
		// trans_id - индекс транзакции
		// user_id - индекс пользователя который открыл спор
		// defendant_id - индекс против кого открыли спор
		// price - сумма открытия спора
		// product_id - индекс товара
		Languages()->Change($data['defendant_id']);

		$message = getLang('callback.onCreateRefunds.1', [
			$data['user_id'],
			getName($data['user_id']),
			$data['price'] . ' ' . conf()->currency->html,
			$data['refund_id']
		]);

		Noty()->Send(
			$data['defendant_id'],
			getLang('callback.onCreateRefunds.0'
		), $message);
	});