<?PHP
	CallBack()->Add('onProductVerify', function($data) {
		$temp = Product()->Get($data['productId']);
		$product = $temp['product'];
		unset($temp);

		switch($data['status']) {
			case 1: {
				Languages()->Change($product['author_id']);

				$message = getLang('callback.onProductVerify.1', [
					$product['id'], htmlspecialchars_decode($product['name'])
				]);

				Noty()->Send($product['author_id'], getLang('callback.onProductVerify.0'), $message);
				break;
			}

			case 3: {
				Languages()->Change($product['author_id']);

				$message = getLang('callback.onProductVerify.1', [
					$product['id'], htmlspecialchars_decode($product['name']), $data['reason']
				]);

				Noty()->Send($product['author_id'], getLang('callback.onProductVerify.0'), $message);
				break;
			}
		}
	});