<?PHP
	if(empty($_GET['id'])) {
		if(empty($_SESSION['id'])) {
			Pages()->loadPage('errors/not_auth');
		}
		
		$dataUser = users()->Get($_SESSION['id']);
	}
	else {
		if(!is_numeric($_GET['id'])) {
			Pages()->loadPage('errors/user_not_found');
		}
		
		$userId = $_GET['id'];
		
		if(!users()->isValid($userId)) {
			Pages()->loadPage('errors/user_not_found');
		}
		
		$dataUser = users()->Get($userId);
	}
	
	$classUsersRole = new UsersRole;
	$dataRole = $classUsersRole->Get($dataUser->roleid);
	
	$isMy = isset($_SESSION['id']) ? ($_SESSION['id'] == $dataUser->id) : 0;
	$UsersBalance = new UsersBalance;

	tpl()
	->Start('sample')
	->SetTitle('Пользователь - ' . $dataUser->login)
	->Content(tpl()->Get($isMy ? 'account/home' : 'account/home_owner'))
	->Set([
		'{user_id}' => $dataUser->id,
		'{name}' => getName($dataUser->id),
		'{date_register}' => $dataUser->date_register,
		'{avatar}' => $dataUser->image,
		'{remarks}' => $dataUser->remarks,
		'{rating}' => Reviews()->getStars($dataUser->id),
		'{status}' => isset($dataUser->status) ? htmlspecialchars_decode($dataUser->status) : '',
		'{profile_role}' => isset($dataRole) ? $dataRole->name : getLang('system.errors.undefined'),
		'{my}' => $isMy,
		'{balance}' => $dataUser->balance,
		'{balance_frozen}' => $UsersBalance->getFrozen($dataUser->id)
	])
	->Show();