<?PHP
	if(empty($_SESSION['id'])) {
		Pages()->loadPage('errors/not_auth');
	}
	
	$dataUser = users()->Get($_SESSION['id']);
	$classUsersRole = new UsersRole;
	$dataRole = $classUsersRole->Get($dataUser->roleid);
	
	$isMy = isset($_SESSION['id']) ? ($_SESSION['id'] == $dataUser->id) : 0;
	
	$classUsersToken = new UsersToken;
	$userToken = $classUsersToken->GetFromUserId($_SESSION['id']);
	$settings = users()->getSettings($_SESSION['id']);

	tpl()
	->Start('sample')
	->AddTitle(getLang('pages.account.settings.title'))
	->Content(tpl()->Get('account/settings'))
	->Set([
		'{user_id}' => $dataUser->id,
		'{name}' => getName($dataUser->id),
		'{date_register}' => $dataUser->date_register,
		'{avatar}' => $dataUser->image,
		'{remarks}' => $dataUser->remarks,
		'{rating}' => Reviews()->getStars($dataUser->id),
		'{status}' => isset($dataUser->status) ? htmlspecialchars_decode($dataUser->status) : '',
		'{profile_role}' => isset($dataRole) ? $dataRole->name : getLang('system.errors.undefined'),
		'{my}' => $isMy,
		'{profile_api_token}' => isset($userToken) ? $userToken->hash : getLang('system.errors.not_create'),
		'{view_orders}' => $settings['view_orders'],
		'{messages}' => $settings['messages']
	])
	->Show();