<?PHP
	if(!isRights('a')) {
		Pages()->pageNotFound();
	}
	
	if(isset($_GET['act'])) {
		switch($_GET['act']) {
			case 'add': {
				try {
					$sth = pdo()->query('SELECT DISTINCT data FROM product__category WHERE data IS NOT NULL');
					
					if(!$sth->rowCount()) {
						$dataList = '';
					}

					tpl()->ClearCell('dataList');
					while($row = $sth->fetch(PDO::FETCH_OBJ)) {
						tpl()->AddCell('dataList', tpl()->Set(['{name}' => $row->data], '<option>{name}</option>'));
					}

					$dataList = tpl()->GetCell('dataList');
				}
				catch(Exception $e) {
					$dataList = '';
				}
				
				tpl()
				->AddTitle(getLang('admin.pages.category.add'))
				->SetAppearance('admin')
				->Start('sample')
				->Content(tpl()->Get('category/add'))
				->Set(['{dataList}' => $dataList])
				->Show();
				
				break;
			}

			case 'edit': {
				$classCategory = new Category;
				$dataCategory = $classCategory->Get($_GET['id']);

				if(is_null($dataCategory)) {
					Pages()->pageNotFound();
				}

				try {
					$sth = pdo()->query('SELECT DISTINCT data FROM product__category WHERE data IS NOT NULL');
					
					if(!$sth->rowCount()) {
						$dataList = '';
					}

					tpl()->ClearCell('dataList');
					while($row = $sth->fetch(PDO::FETCH_OBJ)) {
						tpl()->AddCell('dataList', tpl()->Set(['{name}' => $row->data], '<option>{name}</option>'));
					}

					$dataList = tpl()->GetCell('dataList');
				}
				catch(Exception $e) {
					$dataList = '';
				}

				tpl()
				->AddTitle(getLang('admin.pages.category.edit'))
				->SetAppearance('admin')
				->Start('sample')
				->Content(tpl()->Get('category/edit'))
				->Set([
					'{name}' => get_custom_lang($dataCategory->name),
					'{search_link}' => $dataCategory->search_link,
					'{data}' => $dataCategory->data,
					'{dataList}' => $dataList
				])
				->Show();

				break;
			}
		}
	}
	
	tpl()
	->AddTitle(getLang('admin.pages.category.index'))
	->SetAppearance('admin')
	->Start('sample')
	->Content(tpl()->Get('category/index'))
	->Show();