<?PHP
	if(!isRights('a')) {
		Pages()->pageNotFound();
	}

	$Languages = Languages();
	$listLanguages = $Languages->getLanguagesForJson();

	tpl()->SetAppearance('admin');
	tpl()->ClearCell('list_languages');

	foreach($listLanguages as $key => $data) {
		tpl()->AddCell('list_languages', tpl()->Set([
			'{name}' => $data['name'],
			'{code}' => $key
		], tpl()->Get('elements/translate/item')));
	}

	$list_translate = tpl()->Execute(tpl()->GetCell('list_languages'));

	tpl()
	->AddTitle(getLang('admin.pages.translate.index.title'))
	->Start('sample')
	->Content(tpl()->Get('translate/index'))
	->Set([
		'{list_languages}' => $list_translate
	])
	->Show();