<?PHP
	$categoryId = $_PAGE['params'][1];

	if(empty($categoryId)) {
		Pages()->pageNotFound();
	}
	
	$Category = new Category;
	
	if(!$Category->IsValid($categoryId)) {
		Pages()->pageNotFound();
	}
	
	$dataCategory = $Category->Get($categoryId);
	$categoryId = $dataCategory->id;
	$Filters = new Filters;

	tpl()
	->Start('sample')
	->AddTitle(get_custom_lang($dataCategory->name))
	->Content(tpl()->Get('market/category'))
	->Set([
		'{category_id}' => isset($_PAGE['params'][2]) ? $_PAGE['params'][2] : null,
		'{category_cover}' => $dataCategory->cover,
		'{category_icon}' => $dataCategory->icon,
		'{category_name}' => $Category->formateNameCategory($categoryId, isset($_PAGE['params'][2]) ? $_PAGE['params'][2] : null),
		'{subcategories}' => $Category->getSubcategoryGUI($categoryId),
		'{products}' => isset($_PAGE['params'][2]) ? $Category->getProductFromIdGUI($_PAGE['params'][2]) : $Category->getProductGUI($categoryId),
		'{filters}' => isset($_PAGE['params'][2]) ? $Filters->FormateSubcategory($_PAGE['params'][2]) : ''
	])
	->Show();