<?PHP
	$productId = (int)$_GET['id'];

	if(empty($_SESSION['id']) || !$productId || empty($productData = Product()->Get($productId))) {
		Pages()->pageNotFound();
	}

	$subcategory = getDataSubcategory($productData['product']['id']);
	$name = htmlspecialchars_decode($productData['product']['name']);

	$productData['category'] = reset($productData['category']);
	$productData['subcategory'] = reset($productData['subcategory']);

	if(isset($_SESSION['market']['edit']['step_auto'])) {
		unset($_SESSION['market']['edit']['step_auto']);
	}

	tpl()
	->AddTitle(getLang('pages.market.edit_product.title', $name))
	->AddScripts('/system/plugins/tinymce/tinymce.min.js')
	->Start('sample')
	->Content(tpl()->Get('market/edit_product'))
	->Set([
		'{step-content}' => tpl()->Set([
			'{product_id}' => $productId,
			'{category_name}' => $productData['category']['name'],
			'{category_image}' => $productData['category']['icon'],
			'{subcategory_name}' => $productData['subcategory']['name'],
			'{data_auto}' => (isset($productData['subcategory']['data_auto']) && !is_null($productData['subcategory']['data_auto'])) ? '1' : '0'
		], tpl()->Get('market/edit_product/first'))
	])
	->Show();