<?PHP
	if(empty($_SESSION['id'])) {
		Pages()->loadPage('errors/not_auth');
	}

	$SellerProduct = new SellerProduct;
	$SellerIncome = new SellerIncome;
	$UsersBalance = new UsersBalance;
	$SellerOutput = new SellerOutput;
	$Refunds = new Refunds;
	$user = users()->Get($_SESSION['id']);

	tpl()
	->AddTitle(getLang('pages.market.income.title'))
	->Start('sample')
	->Content(tpl()->Get('market/income'))
	->Set([
		'{date}' => date('d.m.Y'),
		'{balance_frozen}' => $UsersBalance->getFrozen($_SESSION['id']),
		'{balance_available}' => $user->balance,
		'{request_rows}' => $SellerOutput->rowCount($_SESSION['id']),
		'{sells_rows}' => $SellerProduct->rowSells($_SESSION['id']),
		'{sells_rows_today}' => $SellerProduct->rowSellsToDay($_SESSION['id']),
		'{sells_rows_refunds}' => $Refunds->rowCountForSeller($_SESSION['id']),
		'{sells_rows_refunds_success}' => $Refunds->rowCountForSellerSuccess($_SESSION['id']),
		'{list_trans}' => $SellerIncome->getList($_SESSION['id']),
		'{list_output}' => $SellerOutput->getList($_SESSION['id']),
		'{option_output}' => $SellerOutput->getListSelect()
	])
	->Show();