<?PHP
	if(empty($_SESSION['id'])) {
		Pages()->loadPage('errors/not_auth');
	}
	
	$SellerProduct = new SellerProduct;

	tpl()
	->AddTitle(getLang('pages.market.my_product.title'))
	->Start('sample')
	->Content(tpl()->Get('market/my_product'))
	->Set([
		'{date}' => date('d.m.Y'),
		'{product_rows_all}' => Product()->rowUserCount($_SESSION['id']),
		'{product_rows_enable}' => Product()->rowUserCountEnabled($_SESSION['id']),
		'{product_rows_moderation}' => Product()->rowUserCountModeration($_SESSION['id']),
		'{product_rows_premium}' => MarketPremium()->rowCount($_SESSION['id']),
		'{list_products}' => $SellerProduct->getList()
	])
	->Show();