<?PHP
	$this->AddReplace([
		'{site_name}' => conf()->site_name,
		'{domain}' => $_SERVER['SERVER_NAME'],
		'{current_date}' => date('Y'),
		'{csrf_token}' => csrf()->Get(),
		'{currency}' => conf()->currency->html,
		'{page_name}' => isset($_PAGE['name']) ? $_PAGE['name'] : ''
	]);

	if(isset($_SESSION['id'])) {
		$user = users()->Get($_SESSION['id']);
		
		$this->AddReplace([
			'{profile_name}' => getName($_SESSION['id']),
			'{profile_login}' => $user->login,
			'{profile_email}' => $user->email,
			'{profile_image}' => $user->image,
			'{profile_balance}' => $user->balance,
			'{boost_coints}' => $user->balance_boost,
			'{boost_price}' => conf()->premium->price,
			'{boost_days}' => conf()->premium->days
		]);
	}